/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.exampleproject.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.exampleexpend.entity.ExampleExpend;
import com.jeeplus.modules.exampleproject.entity.ExampleProject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 主要工程量指标DAO接口
 * @author ssrh
 * @version 2018-08-29
 */
@MyBatisDao
public interface ExampleProjectDao extends CrudDao<ExampleProject> {

    int deleteByEId(String eId);
    List<ExampleProject> getCount(@Param("companyId")String companyId, @Param("areaId")String areaId, @Param("dictId")String dictId,@Param("indexId") String indexId);
    int delteByIndexId(@Param("eId")String eId,@Param("indexId")String indexId);
    ExampleProject findProject(ExampleProject exampleProject);
}