/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.syswarning.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.syswarning.entity.SysWarning;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 系统预警DAO接口
 * @author chenyuping
 * @version 2018-08-14
 */
@MyBatisDao
public interface SysWarningDao extends CrudDao<SysWarning> {

	public void removeFlat(SysWarning sysWarning);
	public List<SysWarning> find();
	public int getSqlString(@Param("sqlString") String sqlString);

}