/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workattendance.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workattendance.entity.WorkAttendanceCount;
import com.jeeplus.modules.workstaff.entity.WorkStaffBasicInfo;

import java.util.List;

/**
 * 考勤统计DAO接口
 * @author 杨帆
 * @version 2018-09-14
 */
@MyBatisDao
public interface WorkAttendanceCountDao extends CrudDao<WorkAttendanceCount> {

    List<WorkAttendanceCount> groupByOfficeList(WorkStaffBasicInfo workStaffBasicInfo);
    List<WorkAttendanceCount> findListByMonth(WorkAttendanceCount workAttendanceCount);

}