/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workexplore.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workexplore.entity.WorkExplore;

/**
 * 现场踏勘记录DAO接口
 * @author 马鹏波
 * @version 2018-06-05
 */
@MyBatisDao
public interface WorkExploreDao extends CrudDao<WorkExplore> {

    int deleteByProId(WorkExplore workExplore);

    WorkExplore findListByProId(WorkExplore workExplore);
}