/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workieavetemplate.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workieavetemplate.entity.WorkIeaveTemplateUser;

import java.util.List;

/**
 * 离职模板DAO接口
 * @author chenyuping
 * @version 2018-08-06
 */
@MyBatisDao
public interface WorkIeaveTemplateUserDao extends CrudDao<WorkIeaveTemplateUser> {

   public List<WorkIeaveTemplateUser> findListforLeave(WorkIeaveTemplateUser workIeaveTemplateUser);
   public void deleteByTemplateId(WorkIeaveTemplateUser workIeaveTemplateUser);
}