package com.jeeplus.modules.workreimbursement.utils;

public interface VarStr {

    /**
     * 报销审核状态
     * 1，暂存 2，审核中 3，未通过 4，财务处理 5，已报销 6，审核通过 7 已撤销
     */
     final String [] status = {"1","2","3","4","5","6","7"};

    /**
     * 0客户附件,1报销附件,36全过程项目管理中的项目登记
     */
    final String [] attachmentFlag = {"5","6","36"};


    /*
    * 合同管理状态
    * 1、暂存 2、审批中3、撤销 4驳回 ,5 已签
    * */
    final String [] CONTRACT_STATUS={"1","2","3","4","5"};

    /**
     * 归档状态
     * 1 未归档 2 审核中 3 未通过 4 已通过 5 已撤销 6被驳回
     */
    final String [] BACKRECORD_STATUS={"1","2","3","4","5","6"};

    /**
     * 工程计量支付状态
     * 1 暂存 2 审核中 3 未通过 4 已通过 5已撤销
     */
    final String [] FULLPAYSTATUS = {"1","2","3","4","5"};
}
