/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.worksinglewage.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.worksinglewage.entity.WorkSingleWage;

/**
 * 单项工资DAO接口
 * @author 杨帆
 * @version 2018-09-26
 */
@MyBatisDao
public interface WorkSingleWageDao extends CrudDao<WorkSingleWage> {
    /**
     * 更新流程实例ID
     * @return
     */
    public int updateProcessInstanceId(WorkSingleWage workSingleWage);

    /**
     * 根据流程实例ID获取WorkReimbursement
     * @param processInstanceId
     * @return
     */
    public WorkSingleWage getByProcessInstanceId(String processInstanceId);
	
}