<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>我的通告</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript" src="${ctxStatic}/ckeditor/ckeditor.js"></script>
	<script type="text/javascript">

		$(function () {
			$(".btn btn-white btn-sm").bind("click",function () {

            })
        });
        $(document).ready(function() {
            //搜索框收放
            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
                }else{
                    $('#moresees').slideDown(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
                }
            });
            laydate.render({
                elem: '#createStartDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'datetime'
            });
            laydate.render({
                elem: '#createEndDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'datetime'
            });
        });
	</script>

	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body>
<div class="wrapper wrapper-content">
	<sys:message content="${message}"/>
	<div class="layui-row">
		<div class="full-width fl">
			<div class="contentShadow layui-row" id="queryDiv">
			<form:form id="searchForm" modelAttribute="oaNotify" action="${ctx}/oa/oaNotify/self" method="post" class="form-inline">
			<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
			<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
			<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->

				<div class="commonQuery">
					<div class="layui-item query athird">
						<label class="layui-form-label">标题：</label>
						<div class="layui-input-block with-icon">
							<form:input path="title" htmlEscape="false" maxlength="200"  class=" form-control layui-input"/>
						</div>
					</div>
					<div class="layui-item query athird">
						<label class="layui-form-label">类型：</label>
						<div class="layui-input-block">
							<form:select path="type"  class="form-control simple-select">
								<form:option value="" label=""/>
								<form:options items="${fns:getMainDictList('oa_notify_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
							</form:select>
						</div>
					</div>
					<div class="layui-item athird">
						<div class="input-group">
							<a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
							<button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
							<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
						</div>
					</div>
					<div style="    clear:both;"></div>
				</div>
				<div id="moresees" style="clear:both;display:none;">
					<div class="layui-item query athird">
						<label class="layui-form-label">公告编号：</label>
						<div class="layui-input-block with-icon">
							<form:input path="number" htmlEscape="false" maxlength="200"  class=" form-control layui-input"/>
						</div>
					</div>
					<div class="layui-item query athird">
						<label class="layui-form-label">创建日期：</label>
						<div class="layui-input-block">
							<input class="form-control layer-date laydate-icon layui-input laydate-icondate" id="createStartDate" name="createStartDate" value="<fmt:formatDate value="${oaNotify.createStartDate}" pattern="yyyy-MM-dd"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
						</div>
					</div>
					<div class="layui-item query athird">
						<label class="layui-form-label">——&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
						<div class="layui-input-block">
							<input class="form-control layer-date laydate-icon layui-input laydate-icondate" id="createEndDate" name="createEndDate" value="<fmt:formatDate value="${oaNotify.createEndDate}" pattern="yyyy-MM-dd"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
						</div>
					</div>
					<div class="layui-item query athird">
						<label class="layui-form-label">公告内容：</label>
						<div class="layui-input-block with-icon">
							<form:input path="content" htmlEscape="false" maxlength="200"  class=" form-control layui-input"/>
						</div>
					</div>
					<div class="layui-item query athird">
						<label class="layui-form-label">创建人：</label>
						<div class="layui-input-block with-icon">
							<form:input path="createBy.name" htmlEscape="false" maxlength="200"  class=" form-control layui-input"/>
						</div>
					</div>
					<div class="layui-item query athird">
						<label class="layui-form-label">阅读状态：</label>
						<div class="layui-input-block">
							<form:radiobuttons path="status" class="i-checks" items="${fns:getDictList('oa_notify_status')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
						</div>
					</div>
					<div style="clear:both;"></div>
				</div>
			</form:form>
			</div>
		</div>
		<div class="full-width fl">
			<div class="contentShadow layui-form contentDetails">
				<div class="nav-btns">
					<button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
					<div style="clear: both;"></div>
				</div>
				<table class="oa-table layui-table" id="contentTable"></table>

				<!-- 分页代码 -->
				<table:page page="${page}"></table:page>
				<div style="clear: both;"></div>
			</div>
		</div>
	</div>
	<div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                // {checkbox: true, fixed: true},
                {field:'index',align:'center',  width:40,title: '序号'}
                ,{field:'number',align:'center', title: '公告编号', minWidth:150,templet:function(d){
                    var xml = "<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"openDialogView('查看公告', '${ctx}/oa/oaNotify/form?id=" + d.id + "&view=view','95%','95%')\">" +
                        "<span title=" + d.number + ">" + d.number + "</span></a>";
                    return xml;
                }}
                ,{field:'title',align:'center', title: '公告标题', minWidth:150,templet:function(d){
                    var xml = "<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"openDialogView('查看公告', '${ctx}/oa/oaNotify/form?id=" + d.id + "&view=view','95%','95%')\">" +
                        "<span title=" + d.title + ">" + d.title + "</span></a>";
                    return xml;
                }}
                ,{field:'type',align:'center', title: '公告类型', width:80}
                ,{field:'content',align:'center', title: '公告内容', minWidth:200,templet:function(d){
                    return "<span title='"+ d.title +"'>" + d.title + "</span>";
                }}
                ,{field:'status',align:'center', title: '公告状态', width:80}
                ,{field:'startDate', align:'center',title: '开始时间',width:150}
                ,{field:'endDate', align:'center',title: '结束时间',width:150}
                /*,{field:'vtatus', align:'center',title: '查阅状态', width:80}*/
                ,{field:'createBy', align:'center',title: '创建人', width:80,templet:function(d){
                    return "<span title='"+ d.createBy +"'>" + d.createBy + "</span>";
                }}
                ,{field:'createDate', align:'center',title: '创建时间',width:150}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="oaNotify" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "index":"${index.index+1}"
                    ,"id":"${oaNotify.id}"
                    ,"number":"${oaNotify.number}"
                    ,"title":"<c:out value="${oaNotify.title}" escapeXml="true"/>"
                    ,"type":"${fns:getMainDictLabel(oaNotify.type, 'oa_notify_type', '')}"
                    ,"content":"<c:out value="${oaNotify.content}" escapeXml="true"/>"
                    ,"status":"${fns:getDictLabel(oaNotify.status, 'oa_notify_status', '')}"
                    ,"startDate":"<fmt:formatDate value="${oaNotify.startDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"
                    ,"endDate":"<fmt:formatDate value="${oaNotify.endDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"
                    /*,"vtatus":"${oaNotify.readNum} / ${oaNotify.readNum + oaNotify.unReadNum}"*/
                    ,"createBy":"${oaNotify.createBy.name}"
                    ,"createDate":"<fmt:formatDate value="${oaNotify.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"
                }
                </c:forEach>
                </c:if>
            ]
            // ,even: true
            // ,height: 315
        });

    })

    resizeListTable();
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
</body>
</html>