<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>绩效自评管理</title>
	<meta name="decorator" content="default"/>
	<script src="${ctxStatic}/layer-v2.3/laydate/laydate.js"></script>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>
			<ul class="nav nav-tabs">
				<li class="active"><a href="${ctx}/oaperformance/oaPerformance/list">绩效自评</a></li>
				<li><a href="${ctx}/oaperformance/oaPerformance/oaPerformanceTodoList">待办任务</a></li>
				<li><a href="${ctx}/oaperformance/oaPerformance/oaPerformanceHistoricList">已办任务</a></li>
				<li ><a href="${ctx}/oaperformance/oaPerformance/form">绩效自评申请</a></li>
			</ul>
		</h5>
		<%--<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>--%>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="oaPerformance" action="${ctx}/oaperformance/oaPerformance/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
		<div class="form-group">
			<label>创建时间：</label>
			<input class="form-control layer-date laydate-icon required" id="createDateStart" name="createDateStart" readonly="readonly" value="<fmt:formatDate value="${oaPerformance.createDateStart}" pattern="yyyy-MM-dd"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
			　--　
			<input class="form-control layer-date laydate-icon required" id="createDateEnd" name="createDateEnd" readonly="readonly" value="<fmt:formatDate value="${oaPerformance.createDateEnd}" pattern="yyyy-MM-dd"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">

			&nbsp;&nbsp;
			<label>审核状态：</label>
			<form:select path="status"  class="form-control m-b">
				<form:option value="" label=""/>
				<form:options items="${fns:getDictList('act_status')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
			</form:select>
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th> <input type="checkbox" class="i-checks"></th>
				<%--<th  class="sort-column lastWork">上月工作任务</th>
				<th  class="sort-column finishWork">实际完成任务</th>
				<th  class="sort-column finishRate">任务达成率</th>--%>
				<th style="text-align: center;"  class="sort-column lastPerformance">上月工作自评</th>
				<th style="text-align: center;"  class="sort-column ceateBy.id">申请人</th>
				<th style="text-align: center;"  class="sort-column createDate">创建时间</th>
				<th style="text-align: center;"  class="sort-column status">申请状态</th>
				<th style="text-align: center;"  class="sort-column ''">流程追踪</th>
				<th style="text-align: center;">操作</th>
				<%--<th  class="sort-column nowWork">本月工作任务</th>
				<th  class="sort-column nowPlan">本月工作计划</th>--%>
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty page.list}">
		<c:forEach items="${page.list}" var="oaPerformance">
			<tr>
				<td> <input type="checkbox" id="${oaPerformance.id}" class="i-checks"></td>
				<td><a  href="javascript:void(0)" onclick="openDialogView('查看绩效自评', '${ctx}/oaperformance/oaPerformance/form?id=${oaPerformance.id}&tabId=0','80%','80%')">
					${oaPerformance.lastPerformance}
				</a></td>
				<td>${oaPerformance.createBy.name}</td>
				<td><fmt:formatDate value="${oaPerformance.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/></td>
				<td>${fns:getDictLabel(oaPerformance.status, 'act_status', '')}</td>
				<td>
					<a href="javascript:void(0)" onclick="openDialogView('详情', '${ctx}/oaperformance/oaPerformance/getProcess?id=${oaPerformance.id}','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 流程追踪</a>
				</td>
				<td>
					<div style="text-align: center">
					<c:if test="${oaPerformance.status == 1 or oaPerformance.status == 2}">
						<a href="${ctx}/oaperformance/oaPerformance/revoke?id=${oaPerformance.id}&processInstanceId=${oaPerformance.processInstanceId}" class="btn btn-warning btn-xs" ><i class="glyphicon glyphicon-share-alt"></i> 撤回</a>
					</c:if>
					<c:if test="${oaPerformance.status == 4 or oaPerformance.status == 5}">
						<a href="${ctx}/oaperformance/oaPerformance/delete?id=${oaPerformance.id}" onclick="return confirmx('确认要删除该绩效自评申请功能吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
					</c:if>
					</div>
				</td>
				<%--<td>
					${oaPerformance.lastWork}
				</td>
				<td>
					${oaPerformance.finishWork}
				</td>
				<td>
					${oaPerformance.finishRate}
				</td>
				<td>
					${oaPerformance.lastPerformance}
				</td>
				<td>
					${oaPerformance.nowWork}
				</td>
				<td>
					${oaPerformance.nowPlan}
				</td>--%>
				<%--<td>
					<shiro:hasPermission name="oaperformance:oaPerformance:view">
						<a href="javascript:void(0)" onclick="openDialogView('查看绩效自评', '${ctx}/oaperformance/oaPerformance/form?id=${oaPerformance.id}','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
					</shiro:hasPermission>
					<shiro:hasPermission name="oaperformance:oaPerformance:edit">
    					<a href="javascript:void(0)" onclick="openDialog('修改绩效自评', '${ctx}/oaperformance/oaPerformance/form?id=${oaPerformance.id}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
    				</shiro:hasPermission>
    				<shiro:hasPermission name="oaperformance:oaPerformance:del">
						<a href="${ctx}/oaperformance/oaPerformance/delete?id=${oaPerformance.id}" onclick="return confirmx('确认要删除该绩效自评吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
					</shiro:hasPermission>
				</td>--%>
			</tr>
		</c:forEach>
		</c:when>
			<c:otherwise>
				<tr>
					<td colspan="8" align="center">暂无数据</td>
				</tr>
			</c:otherwise>
		</c:choose>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>