<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目登记</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
        $(document).ready(function() {

            //搜索框收放
            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
                }else{
                    $('#moresees').slideDown(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
                }
            });
            laydate.render({
                elem: '#beginDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
            laydate.render({
                elem: '#endDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
        });

        function reset() {
            $("#searchForm").resetForm();
        }

	</script>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<div class="wrapper wrapper-content">
	<sys:message content="${message}"/>
	<div class="layui-row">
		<div class="full-width fl">
			<div class="contentShadow layui-row" id="queryDiv">
				<%--<li class="active"><a href="${ctx}/projectcontentinfo/projectcontentinfo/list?type=8&project.id=${projectRecords.id}&id=${id}">报告列表</a></li>
				<li><a href="${ctx}/projectcontentinfo/projectcontentinfo/list?type=8&project.id=${projectRecords.id}&id=${id}&view=change">报告变更</a></li>
				<li><a href="${ctx}/projectcontentinfo/projectcontentinfo/list?type=8&project.id=${projectRecords.id}&id=${id}&view=invalid">报告作废</a></li>--%>
					<form:form id="searchForm" modelAttribute="projectcontentinfo" action="${ctx}/projectcontentinfo/projectcontentinfo/list" method="post" class="form-inline">
						<input id="id" name="id" type="hidden" value="${id}"/>
						<input id="parentIds" name="parentIds" type="hidden" value="${parentIds}"/>
						<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
						<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
						<%--<table:sortColumn id="project.orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 --><div class="commonQuery lw9">--%>

						<div class="commonQuery lw9">
							<%--<div class="layui-item query athird">
								<label class="layui-form-label">创建时间：</label>
								<div class="layui-input-block">
									<input class="form-control layer-date laydate-icon layui-input laydate-icondate" id="beginDate" name="project.beginDate" value="<fmt:formatDate value="${projectcontentinfo.project.beginDate}" pattern="yyyy-MM-dd"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
								</div>
							</div>
							<div class="layui-item query athird">
								<label class="layui-form-label">——&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
								<div class="layui-input-block">
									<input class="form-control layer-date laydate-icon layui-input laydate-icondate" id="endDate" name="project.endDate" value="<fmt:formatDate value="${projectcontentinfo.project.endDate}" pattern="yyyy-MM-dd"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
								</div>
							</div>--%>
							<div class="layui-item query athird">
								<label class="layui-form-label">创建时间：</label>
								<div class="layui-input-block">
									<input id="beginDate" placeholder="开始时间" name="project.beginDate" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
										   value="<fmt:formatDate value="${projectcontentinfo.project.beginDate}" pattern="yyyy-MM-dd"/>"/>
									</input>
									<span class="group-sep">-</span>
									<input id="endDate" placeholder="结束时间" name="project.endDate" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
										   value="<fmt:formatDate value="${projectcontentinfo.project.endDate}" pattern="yyyy-MM-dd"/>"/>
									</input>
								</div>
							</div>
							<div class="layui-item query athird">
								<label class="layui-form-label">项目编号：</label>
								<div class="layui-input-block">
									<form:input path="project.projectId" htmlEscape="false" maxlength="64"  class=" form-control  layui-input"/>
								</div>
							</div>
							<div class="layui-item athird">
								<div class="input-group">
									<a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
									<button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
									<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
								</div>
							</div>
							<div style="    clear:both;"></div>
						</div>
						<div id="moresees" style="clear:both;display:none;" class="lw9">
							<div class="layui-item query athird">
								<label class="layui-form-label">项目名称：</label>
								<div class="layui-input-block">
									<form:input path="project.projectName" htmlEscape="false" maxlength="64"  class=" form-control  layui-input"/>
								</div>
							</div>
							<div class="layui-item query athird">
								<label class="layui-form-label">项目负责人：</label>
								<div class="layui-input-block">
									<form:input path="project.leaderNameStr" htmlEscape="false" maxlength="255"   class=" form-control layui-input"/>
								</div>
							</div>
							<div class="layui-item query athird">
								<label class="layui-form-label">合同名称：</label>
								<div class="layui-input-block">
									<form:input path="project.workContractInfo.name" htmlEscape="false" maxlength="255"   class=" form-control layui-input"/>
								</div>
							</div>
							<div class="layui-item query athird">
								<label class="layui-form-label">委托方：</label>
								<div class="layui-input-block">
									<form:input path="project.workContractInfo.client.name" htmlEscape="false" maxlength="255"   class=" form-control layui-input"/>
								</div>
							</div>
							<div style="clear:both;"></div>
						</div>
				</form:form>
			</div>
		</div>
		<div class="full-width fl">
			<div class="contentShadow layui-form contentDetails">
				<div class="nav-btns">
					<button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
					<div style="clear: both;"></div>
				</div>
				<table class="oa-table layui-table" id="contentTable1"></table>

				<!-- 分页代码 -->
				<table:page page="${page}"></table:page>
				<div style="clear: both;"></div>
			</div>
		</div>
	</div>
	<div id="changewidth"></div>
</div>

<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable1'
            ,page: false
            ,cols: [[
                // {checkbox: true, fixed: true},
                {field:'index',align:'center', title: '序号',width:40}
                ,{field:'projectId',align:'center', title: '项目编号',minWidth:160,templet:function(d){
                    return "<a class=\"attention-info\" href=\"#\" onclick=\"openDialogView('查看项目', '${ctx}/project/projectRecords/view?id=" + d.id + "&view=view','95%', '95%')\">" + d.projectId + "</a>";
                }}
                ,{field:'projectName', align:'center',title: '项目名称',minWidth:150}
                ,{field:'projMaster', align:'center',title: '项目负责人',width:80}
                ,{field:'contract', align:'center',title: '合同名称',minWidth:150}
                ,{field:'client', align:'center',title: '主委托方',minWidth:150}
                ,{field:'constructionProjectTypeStr', align:'center',title: '工程分类',width:100}
                ,{field:'officeName', align:'center',title: '所属部门',width:100}
                ,{field:'createDate', align:'center',title: '创建日期',width:80}
                ,{align:'center',title:"操作",width:80,templet:function(d){
                    ////对操作进行初始化
                    return "<a href=\"${ctx}/projectcontentinfo/projectcontentinfo/?project.id=" + d.id +"\" class=\"op-btn op-btn-edit\" > 进入</a>";
                }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="projectRecords" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "id":"${projectRecords.id}"
                    ,"index":"${index.index+1}"
                    ,"projectId":"${projectRecords.projectId}"
                    ,"projectName":"${projectRecords.projectName}"
                    ,"projMaster":"<c:forEach items="${projectRecords.projectLeaders}" var="leader" varStatus="status"><c:choose><c:when test="${status.last}">${leader.name}</c:when><c:otherwise>${leader.name},</c:otherwise></c:choose></c:forEach>"
                    ,"contract":"${projectRecords.workContractInfo.name}"
                    ,"client":"${projectRecords.workContractInfo.client.name}"
                    ,"constructionProjectTypeStr":"${projectRecords.workContractInfo.constructionProjectTypeStr}"
                    ,"officeName":"${projectRecords.office.name}"
                    ,"createDate":"<fmt:formatDate value="${projectRecords.createDate}" pattern="yyyy-MM-dd"/>"
                }
                </c:forEach>
                </c:if>
            ]
            // ,even: true
            // ,height: 315
        });

    })
    resizeListTable(80);
    $("a").on("click",addLinkVisied);
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
</body>
</html>