<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>过程控制表管理</title>
	<meta name="decorator" content="default"/>
    <link href="${ctxStatic}/summernotenew/summernote.css" rel="stylesheet">
    <link href="${ctxStatic}/summernotenew/summernote-bs3.css" rel="stylesheet">
    <script src="${ctxStatic}/summernotenew/summernote.min.js"></script>
    <script src="${ctxStatic}/summernotenew/lang/summernote-zh-CN.js"></script>
    <script src="${ctxStatic}/kindeditor/kindeditor-all.js"></script>
    <%--<script src="${ctxStatic}/layer-v2.3/laydate/laydate.js"></script>--%>
	<script type="text/javascript">
		$(document).ready(function() {
            switchType("#tType");
            //富文本初始化
            // $('.summernote').summernote({
            //     lang: 'zh-CN',
            //     height:'300px',
            //     minHeight:'300px',
            // });
            // $('.summernote').summernote('disable');
            laydate.render({
                elem: '#billHandTime', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
            laydate.render({
                elem: '#askTime', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
		});
        function switchType(othis){
            if(!$(othis).find("option:selected").val()){
                return
            }
            if($(othis).find("option:selected").text() == "设备询价记录"){
                $("#d1").show();
                $("#d1").siblings().hide();
            }else if($(othis).find("option:selected").text() == "补充资料清单"){
                $("#d2").show();
                $("#d2").siblings().hide();
            }else if($(othis).find("option:selected").text() == "现场踏勘记录"){
                $("#d3").show();
                $("#d3").siblings().hide();
            }else if($(othis).find("option:selected").text() == "沟通记录表"){
                $("#d4").show();
                $("#d4").siblings().hide();
            }else if($(othis).find("option:selected").text() == "工程量计算底稿"){
                $("#d5").show();
                $("#d5").siblings().hide();
            }else if($(othis).find("option:selected").text() == "交接单"){
                $("#d6").show();
                $("#d6").siblings().hide();
            }else if($(othis).find("option:selected").text() == "日志"){
                $("#d7").show();
                $("#d7").siblings().hide();
            }else if($(othis).find("option:selected").text() == "会议"){
                $("#d8").show();
                $("#d8").siblings().hide();
            }

        }
	</script>

</head>
<body>
<div class="single-form">
    <div class="container">
		<form:form id="inputForm" modelAttribute="projectControlTable" action="${ctx}/projectcontroltable/projectControlTable/save" method="post" class="form-horizontal">
            <form:hidden path="id"/>
            <sys:message content="${message}"/>
            <input type="hidden" name="pfId" id="pfId" value="${projectControlTable.pfId}">
            <div class="form-group layui-row first">
                <div class="form-group-label"><h2>基础信息</h2></div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>表格类型：</label>
                    <div class="layui-input-block">
                        <form:select path="tType" class="form-control required simple-select layui-input" style="background:#eee;" disabled="true" onchange="switchType(this)" id="tType">
                            <form:options items="${fns:getContentList()}"  itemValue="processNumber" itemLabel="processName"></form:options>
                        </form:select>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>表格名称：</label>
                    <div class="layui-input-block">
                        <form:input path="tName" htmlEscape="false" disabled="true" style="background:#eee;"    class="form-control required layui-input"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">创建时间：</label>
                    <div class="layui-input-block">
                        <input id="createDate" name="createDate" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date required layui-input"
                               value="<fmt:formatDate value="${projectControlTable.createDate}" pattern="yyyy-MM-dd"/>"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">负责人：</label>
                    <div class="layui-input-block">
                        <input type="text" class="form-control layui-input" style="background:#eee;" disabled="disabled" value="${projectControlTable.tUser.name}" name="tUser.name"/>
                        <input type="hidden" value="${projectControlTable.tUser.id}" name="tUser.id"/>
                    </div>
                </div>
            </div>
            <%-- 不同类型间切换--%>
        <%--<iframe id="controltype" name="controltype" src="" width="100%" scrolling="no" frameborder="0">--%>

        <%--</iframe>--%>
        <div>
            <div id="d1">
                <div class="form-group layui-row">
                    <div class="form-group-label"><h2>设备询价记录</h2></div>
                    <div class="layui-item layui-col-xs12 form-table-container" >
                        <table class="table table-bordered table-condensed no-bottom-margin details">
                            <thead>
                            <tr>
                                <th><font color="red">*</font>设备名称</th>
                                <th><font color="red">*</font>设备型号</th>
                                <th><font color="red">*</font>单位</th>
                                <th><font color="red">*</font>生产厂家</th>
                                <th><font color="red">*</font>联系电话</th>
                                <th><font color="red">*</font>单价（元）</th>
                                <th>备注</th>
                            </tr>
                            </thead>
                            <tbody id="workDeviceRecords">
                            <c:if test="${not empty projectControlTable.workDeviceXjRecord.workDeviceRecordList}">
                                <c:forEach items="${projectControlTable.workDeviceXjRecord.workDeviceRecordList}" var="workDeviceRecord" varStatus="index">
                                    <tr id="workDeviceRecordList${index.index}">
                                        <td>
                                            ${workDeviceRecord.deviceName}
                                        </td>

                                        <td>
                                            ${workDeviceRecord.deviceKind}
                                        </td>
                                        <td>
                                            ${workDeviceRecord.deviceUnit}
                                        </td>
                                        <td>
                                            ${workDeviceRecord.deviceCreator}
                                        </td>
                                        <td>
                                            ${workDeviceRecord.devicePhone}
                                        </td>
                                        <td>
                                            ${workDeviceRecord.devicePrice}
                                        </td>
                                        <td>
                                            ${workDeviceRecord.remarks}
                                        </td>
                                    </tr>
                                </c:forEach>
                            </c:if>
                            </tbody>
                        </table>
                        <div class="form-group layui-row first">
                            <div class="layui-item layui-col-sm6">
                                <label class="layui-form-label"><span class="require-item">*</span>询价时间：</label>
                                <div class="layui-input-block">
                                    <input id="askTime" name="workDeviceXjRecord.askTime"  readonly="true" disabled maxlength="20" class="laydate-icondate form-control layer-date required layui-input laydate-icon"
                                           value="<fmt:formatDate value="${projectControlTable.workDeviceXjRecord.askTime}" pattern="yyyy-MM-dd" />"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6">
                                <label class="layui-form-label"><span class="require-item">*</span>询价人员：</label>
                                <div class="layui-input-block with-icon">
                                    <sys:treeselect id="askUser" name="workDeviceXjRecord.askUser.id" value="${projectControlTable.workDeviceXjRecord.askUser.id}" labelName="workDeviceXjRecord.askUser.name" labelValue="${projectControlTable.workDeviceXjRecord.askUser.name}"
                                                    title="用户" url="/sys/office/treeData?type=3" cssClass="form-control required layui-input" disabled="disabled" hideBtn="true" allowClear="true" notAllowSelectParent="true"/>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            <div id="d2">
                <style>
                    .note-editor .panel-heading{
                        padding:3px 5px;
                    }
                </style>
                <input type="hidden" name="projectId" id="projectId">
                <div class="form-group layui-row">
                    <div class="form-group-label"><h2>补充资料清单</h2></div>
                    <div class="form-group layui-row first">
                        <div class="layui-item layui-col-sm12">
                            <label class="layui-form-label"  style="width:105px;">内容：</label>
                            <div class="layui-input-block" style="margin-left:131px">
                                <textarea id="content" name="workInfoList.content" style="width:700px;height:300px;" class="form-control  required" placeholder="内容" required>${projectControlTable.workInfoList.content}</textarea>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div id="d3">
                <div class="form-group layui-row">
                    <div class="form-group-label"><h2>现场踏勘记录</h2></div>
                    <div class="form-group layui-row first">
                        <div class="layui-item layui-col-sm12">
                            <label class="layui-form-label"  style="width:105px;"><span class="require-item">*</span>现场踏勘记录：</label>
                            <div class="layui-input-block" style="margin-left:131px">
                                <form:textarea path="workExplore.remarks" id="takanre" disabled="true" htmlEscape="false" rows="16"  class="form-control required"/>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div id="d4">
                <div class="form-group layui-row">
                    <div class="form-group-label"><h2>沟通记录表</h2></div>
                    <div class="layui-item layui-col-xs12 form-table-container" >
                        <table id="contentTable" class="table table-bordered table-condensed no-bottom-margin details">
                            <thead>
                            <tr>
                                <th><font color="red">*</font>序号</th>
                                <th><font color="red">*</font>日期</th>
                                <th><font color="red">*</font>沟通内容</th>
                                <th><font color="red">*</font>沟通方式</th>
                                <th><font color="red">*</font>反馈意见</th>
                                <th>备注</th>
                            </tr>
                            </thead>
                            <tbody id="workCommunicateRecords">
                            <c:if test="${not empty projectControlTable.workCommunicateRecord.workCommunicateContentList}">
                                <c:forEach items="${projectControlTable.workCommunicateRecord.workCommunicateContentList}" var="workCommunicateRecord" varStatus="index">
                                    <tr id="workCommunicateContentList${index.index}">
                                        <td>
                                            ${workCommunicateRecord.contentNumber}
                                        </td>

                                        <td>
                                            <fmt:formatDate value="${workCommunicateRecord.contentDate}" pattern="yyyy-MM-dd" />
                                        </td>
                                        <td>
                                            ${workCommunicateRecord.contentDetail}
                                        </td>
                                        <td>
                                            ${workCommunicateRecord.contentWay}
                                        </td>
                                        <td>
                                            ${workCommunicateRecord.contentFeedback}
                                        </td>
                                        <td>
                                            ${workCommunicateRecord.remarks}
                                        </td>
                                    </tr>
                                </c:forEach>
                            </c:if>
                            </tbody>
                        </table>
                        <div class="form-group layui-row first">
                            <div class="layui-item layui-col-sm12">
                                <label class="layui-form-label" style="width:105px;"><span class="require-item">*</span>沟通记录人员：</label>
                                <div class="layui-input-block with-icon" style="margin-left:131px;">
                                    <sys:treeselect id="comUser" name="workCommunicateRecord.comUser.id" value="${projectControlTable.workCommunicateRecord.comUser.id}" labelName="workCommunicateRecord.comUser.name" labelValue="${projectControlTable.workCommunicateRecord.comUser.name}"
                                                    title="用户" url="/sys/office/treeData?type=3" disabled="disabled" hideBtn="true" cssClass="form-control required layui-input" allowClear="true" notAllowSelectParent="true"/>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div id="d5">
                <div class="form-group layui-row">
                    <div class="form-group-label"><h2>装饰部分</h2></div>
                    <div class="layui-item layui-col-xs12 form-table-container" >
                        <table class="table table-bordered table-condensed no-bottom-margin details">
                            <thead>
                            <tr>
                                <th><font color="red">*</font>序号</th>
                                <th><font color="red">*</font>清单编号/定额编号</th>
                                <th><font color="red">*</font>项目名称</th>
                                <th><font color="red">*</font>计量单位</th>
                                <th><font color="red">*</font>计算式</th>
                                <th><font color="red">*</font>工程量</th>
                                <th><font color="red">*</font>其他</th>
                                <th><font color="red">*</font>工程来源</th>
                            </tr>
                            </thead>
                            <tbody id="workProjectCalcDecors">
                            <c:if test="${not empty projectControlTable.workProjectCalcDecorList}">
                                <c:forEach items="${projectControlTable.workProjectCalcDecorList}" var="workProjectCalcDecor" varStatus="index">
                                    <tr id="workHandBillDetailList${index.index}">
                                        <td>
                                            ${workProjectCalcDecor.decorNumber}
                                        </td>

                                        <td>
                                            ${workProjectCalcDecor.decorCode}
                                        </td>
                                        <td>
                                            ${workProjectCalcDecor.projectName}
                                        </td>
                                        <td>
                                            ${workProjectCalcDecor.decorUnit}
                                        </td>
                                        <td>
                                            ${workProjectCalcDecor.decorMode}
                                        </td>
                                        <td>
                                            ${workProjectCalcDecor.decorSize}
                                        </td>
                                        <td>
                                            ${workProjectCalcDecor.decorOther}
                                        </td>
                                        <td>
                                            ${workProjectCalcDecor.decorOrigin}
                                        </td>
                                    </tr>
                                </c:forEach>
                            </c:if>
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="form-group layui-row">
                    <div class="form-group-label"><h2>建筑部分</h2></div>
                    <div class="layui-item layui-col-xs12 form-table-container" >
                        <table class="table table-bordered table-condensed no-bottom-margin details">
                            <thead>
                            <tr>
                                <th><font color="red">*</font>序号</th>
                                <th><font color="red">*</font>清单编号/定额编号</th>
                                <th><font color="red">*</font>项目名称</th>
                                <th><font color="red">*</font>计量单位</th>
                                <th><font color="red">*</font>计算式/索引</th>
                                <th><font color="red">*</font>工程量</th>
                                <th><font color="red">*</font>其他</th>
                                <th><font color="red">*</font>分项数据索引</th>
                            </tr>
                            </thead>
                            <tbody id="workProjectCalcBuilds">
                            <c:if test="${not empty projectControlTable.workProjectCalcBuildList}">
                                <c:forEach items="${projectControlTable.workProjectCalcBuildList}" var="workProjectCalcBuild" varStatus="index">
                                    <tr id="workHandBillDetailList${index.index}">
                                        <td>
                                            ${workProjectCalcBuild.buildNumber}
                                        </td>

                                        <td>
                                            ${workProjectCalcBuild.buildCode}
                                        </td>
                                        <td>
                                            ${workProjectCalcBuild.projectName}
                                        </td>
                                        <td>
                                            ${workProjectCalcBuild.buildUnit}
                                        </td>
                                        <td>
                                            ${workProjectCalcBuild.buildMode}
                                        </td>
                                        <td>
                                            ${workProjectCalcBuild.buildSize}
                                        </td>
                                        <td>
                                            ${workProjectCalcBuild.buildOther}
                                        </td>
                                        <td>
                                            ${workProjectCalcBuild.buildIndex}
                                        </td>
                                    </tr>
                                </c:forEach>
                            </c:if>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <%-- 交接单 start --%>
            <div id="d6">
                <div class="form-group layui-row first">
                    <div class="form-group-label"><h2>交接单</h2></div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label"><span class="require-item">*</span>接收人：</label>
                        <div class="layui-input-block with-icon">
                            <sys:treeselect id="billRecUser" name="workHandBill.billRecUser.id" value="${projectControlTable.workHandBill.billRecUser.id}" labelName="workHandBill.billRecUser.name" labelValue="${projectControlTable.workHandBill.billRecUser.name}"
                                            title="用户" url="/sys/office/treeData?type=3" disabled="disabled" hideBtn="true" cssClass="form-control required layui-input" allowClear="true" notAllowSelectParent="true"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label"><span class="require-item">*</span>送达人：</label>
                        <div class="layui-input-block with-icon">
                            <sys:treeselect id="billSendUser" name="workHandBill.billSendUser.id" value="${projectControlTable.workHandBill.billSendUser.id}" labelName="workHandBill.billSendUser.name" labelValue="${projectControlTable.workHandBill.billSendUser.name}"
                                            title="用户" url="/sys/office/treeData?type=3" disabled="disabled" hideBtn="true" cssClass="form-control required layui-input" allowClear="true" notAllowSelectParent="true"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label"><span class="require-item">*</span>交接时间：</label>
                        <div class="layui-input-block with-icon">
                            <input id="billHandTime" name="workHandBill.billHandTime" readonly="true" maxlength="20" disabled class="laydate-icondate form-control layer-date required layui-input laydate-icon"
                                   value="<fmt:formatDate value="${projectControlTable.workHandBill.billHandTime}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>
                        </div>
                    </div>
                </div>
                <table class="table table-bordered table-condensed no-bottom-margin details">
                    <thead>
                    <tr>
                        <th><font color="red">*</font>序号</th>
                        <th><font color="red">*</font>资料名称</th>
                        <th><font color="red">*</font>有无</th>
                        <th><font color="red">*</font>份数或页数</th>
                        <th>备注</th>
                    </tr>
                    </thead>
                    <tbody id="workHandBills">
                    <c:if test="${not empty projectControlTable.workHandBill.workHandBillDetailList}">
                        <c:forEach items="${projectControlTable.workHandBill.workHandBillDetailList}" var="workHandBill" varStatus="index">
                            <tr id="workHandBillDetailList${index.index}">
                                <td>
                                    ${workHandBill.materialNumber}
                                </td>

                                <td>
                                    ${workHandBill.materialName}
                                </td>
                                <td>
                                    ${workHandBill.materialFlag}
                                </td>
                                <td>
                                    ${workHandBill.materialPages}
                                </td>
                                <td>
                                    ${workHandBill.remarks}
                                </td>
                            </tr>
                        </c:forEach>
                    </c:if>
                    </tbody>
                </table>
            </div>
            <div id="d7">
                <div class="form-group layui-row first">
                    <div class="form-group-label"><h2>日志</h2></div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label ">类型：</label>
                        <div class="layui-input-block">
                        <input id="logType" name="workLog.logType" htmlEscape="false"  readonly="readonly"  class="form-control required layui-input" value="${projectControlTable.workLog.logType}"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label">创建日期：</label>
                        <div class="layui-input-block">
                            <input id="startDate" name="workLog.startDate" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date required layui-input laydate-icon"
                                   value="<fmt:formatDate value="${projectControlTable.workLog.startDate}" pattern="yyyy-MM-dd"/> "/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6 ">
                        <label class="layui-form-label">地区：</label>
                        <div class="layui-input-block  with-icon">
                            <input id="area" name="workLog.area.name" htmlEscape="false"  readonly="readonly"  class="form-control required layui-input" value="${projectControlTable.workLog.area.name}"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label">详细地址：</label>
                        <div class="layui-input-block">
                            <input id="address" name="workLog.address" htmlEscape="false"  readonly="readonly"  class="form-control required layui-input" value="${projectControlTable.workLog.address}"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label">天气：</label>
                        <div class="layui-input-block">
                            <input id="weather" name="workLog.weather" htmlEscape="false"  readonly="readonly"  class="form-control  layui-input" value="${projectControlTable.workLog.weather}"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label">温度：</label>
                        <div class="layui-input-block">
                            <input id="lowTem" name="workLog.lowTem" htmlEscape="false" readonly="readonly"  class="form-control layui-input query-group" value="${projectControlTable.workLog.lowTem}"/>
                            <span class="group-sep">-</span>
                            <input id="highTem" name="workLog.highTem" htmlEscape="false" readonly="readonly"  class="form-control  layui-input query-group" value="${projectControlTable.workLog.highTem}"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label">风向：</label>
                        <div class="layui-input-block">
                            <input id="wind" name="workLog.wind" htmlEscape="false" readonly="readonly"   class="form-control  layui-input" value="${projectControlTable.workLog.wind}"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label">主题：</label>
                        <div class="layui-input-block">
                            <input id="theme" name="workLog.theme" htmlEscape="false" readonly="readonly"   class="form-control required layui-input" value="${projectControlTable.workLog.theme}"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm12">
                        <label class="layui-form-label">内容：</label>
                        <div class="layui-input-block">
                            <textarea id="content" name="workLog.content" style="width:700px;height:300px;" readonly="readonly" class="form-control  required" placeholder="内容" required>${projectControlTable.workLog.content}</textarea>
                        </div>
                    </div>
                </div>
            </div>
            <div id="d8">
                <div class="form-group layui-row first">
                    <div class="form-group-label"><h2>会议</h2></div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label ">类型：</label>
                        <div class="layui-input-block">
                            <input id="meetType" name="workMeeting.meetType" htmlEscape="false"  readonly="readonly"  class="form-control required layui-input" value="${projectControlTable.workMeeting.meetType}"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label">创建日期：</label>
                        <div class="layui-input-block">
                            <input id="startDate" name="Meeting.startDate" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date required layui-input laydate-icon"
                                   value="<fmt:formatDate value="${projectControlTable.workMeeting.startDate}" pattern="yyyy-MM-dd"/> "/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6 ">
                        <label class="layui-form-label">地区：</label>
                        <div class="layui-input-block  with-icon">
                            <input id="area" name="workMeeting.area.name" htmlEscape="false"  readonly="readonly"  class="form-control required layui-input" value="${projectControlTable.workMeeting.area.name}"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label">详细地址：</label>
                        <div class="layui-input-block">
                            <input id="address" name="workMeeting.address" htmlEscape="false"  readonly="readonly"  class="form-control required layui-input" value="${projectControlTable.workMeeting.address}"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label">天气：</label>
                        <div class="layui-input-block">
                            <input id="weather" name="workMeeting.weather" htmlEscape="false"  readonly="readonly"  class="form-control required layui-input" value="${projectControlTable.workMeeting.weather}"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label">温度：</label>
                        <div class="layui-input-block">
                            <input id="lowTem" name="workMeeting.lowTem" htmlEscape="false" readonly="readonly"  class="form-control required layui-input query-group" value="${projectControlTable.workMeeting.lowTem}"/>
                            <span class="group-sep">-</span>
                            <input id="highTem" name="workMeeting.highTem" htmlEscape="false" readonly="readonly"  class="form-control required layui-input query-group" value="${projectControlTable.workMeeting.highTem}"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label">风向：</label>
                        <div class="layui-input-block">
                            <input id="wind" name="workMeeting.wind" htmlEscape="false"  readonly="readonly"  class="form-control required layui-input" value="${projectControlTable.workMeeting.wind}"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label">主题：</label>
                        <div class="layui-input-block">
                            <input id="theme" name="workMeeting.theme" htmlEscape="false" readonly="readonly"   class="form-control required layui-input" value="${projectControlTable.workMeeting.theme}"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm12">
                        <label class="layui-form-label">内容：</label>
                        <div class="layui-input-block">
                            <textarea id="content" name="workMeeting.content" style="width:700px;height:300px;" readonly="readonly" class="form-control  required" placeholder="内容" required>${projectControlTable.workMeeting.content}</textarea>
                        </div>
                    </div>
                </div>
            </div>
            <script type="text/javascript">
                var editor;
                KindEditor.ready(function(K) {
                    editor = K.create('textarea[name="workLog.content"]', {
                        resizeType: 1,
                        //图片路径
                        filePostName: "uploadFile",
                        uploadJson: '${ctxp}/static/kindeditor/jsp/upload_json.jsp',
                        allowPreviewEmoticons: false,
                        afterBlur:function(){
                            this.sync('textarea[name="workLog.content"]');
                        }
                    });
                });
                KindEditor.ready(function(K) {
                    editor = K.create('textarea[name="workInfoList.content"]', {
                        resizeType: 1,
                        //图片路径
                        filePostName: "uploadFile",
                        uploadJson: '${ctxp}/static/kindeditor/jsp/upload_json.jsp',
                        allowPreviewEmoticons: false,
                        afterBlur:function(){
                            this.sync('textarea[name="workInfoList.content"]');
                        }
                    });
                });
                KindEditor.ready(function(K) {
                    editor = K.create('textarea[name="workMeeting.content"]', {
                        resizeType: 1,
                        //图片路径
                        filePostName: "uploadFile",
                        uploadJson: '${ctxp}/static/kindeditor/jsp/upload_json.jsp',
                        allowPreviewEmoticons: false,
                        afterBlur:function(){
                            this.sync('textarea[name="workMeeting.content"]');
                        }
                    });
                });
            </script>
         </div>
        <%-- 交接单 end --%>
        <div class="form-group layui-row">
            <div class="form-group-label"><h2>附件信息</h2></div>
            <div id="addFile_attachment" style="display: none" class="upload-progress">
                <span id="fileName_attachment" ></span>
                <b><span id="baifenbi_attachment" ></span></b>
                <div class="progress">
                    <div id="jindutiao_attachment" class="progress-bar" style="width: 0%" aria-valuenow="0">
                    </div>
                </div>
            </div>
            <input id="attachment_file" type="file" name="attachment_file" multiple="multiple" style="display: none;" onChange="if(this.value)insertTitle(this.value);"/>
            <span id="attachment_title"></span>
            <div class="layui-item layui-col-xs12" style="padding:0 16px;">
                <table id="upTable" class="table table-bordered table-condensed details">
                    <thead>
                    <tr>
                            <%-- <th>序号</th>--%>
                        <th>文件预览</th>
                        <th>上传人</th>
                        <th>上传时间</th>
                    </tr>
                    </thead>
                    <tbody id="file_attachment">
                    <c:forEach items="${projectControlTable.workAttachments}" var = "workAttachment" varStatus="status">
                        <tr>
                                <%-- <td>${status.index + 1}</td>--%>
                            <c:choose>
                                <c:when test="${fn:containsIgnoreCase(workAttachment.attachmentName,'jpg')
                                                       or fn:containsIgnoreCase(workAttachment.attachmentName,'png')
                                                       or fn:containsIgnoreCase(workAttachment.attachmentName,'gif')
                                                       or fn:containsIgnoreCase(workAttachment.attachmentName,'bmp')
                                                       or fn:containsIgnoreCase(workAttachment.attachmentName,'jpeg')}">
                                    <td><img src="${workAttachment.url}" width="50" height="50" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workAttachment.url}','90%','90%')" alt="${workAttachment.attachmentName}">
                                </c:when>
                                <c:otherwise>
                                    <c:choose>
                                        <c:when test="${fn:containsIgnoreCase(workAttachment.attachmentName,'pdf')}">
                                            <td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workAttachment.url}','90%','90%','1')">${workAttachment.attachmentName}</a></td>
                                        </c:when>
                                        <c:otherwise>
                                            <td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workAttachment.url}','90%','90%')">${workAttachment.attachmentName}</a></td>
                                        </c:otherwise>
                                    </c:choose>
                                </c:otherwise>
                            </c:choose>
                            <td>${workAttachment.createBy.name}</td>
                            <td><fmt:formatDate value="${workAttachment.createDate}" type="both"/></td>
                        </tr>
                    </c:forEach>
                    </tbody>
                </table>
            </div>
        </div>
	</form:form>
</body>
</html>