<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
			
		

			    $('#contentTable thead tr th input.i-checks').on('ifChecked', function(event){ //ifCreated 事件应该在插件初始化之前绑定 
			    	  $('#contentTable tbody tr td input.i-checks').iCheck('check');
			    	});

			    $('#contentTable thead tr th input.i-checks').on('ifUnchecked', function(event){ //ifCreated 事件应该在插件初始化之前绑定 
			    	  $('#contentTable tbody tr td input.i-checks').iCheck('uncheck');
			    	});
			    
			
		});

		function getSelectedItem(){

			var size = $("#contentTable tbody tr td input.i-checks:checked").size();
			  if(size == 0 ){
					top.layer.alert('请至少选择一条数据!', {icon: 0, title:'警告'});
					return "-1";
				  }

			  if(size > 1 ){
					top.layer.alert('只能选择一条数据!', {icon: 0, title:'警告'});
					return "-1";
				  }
			 var id =  $("#contentTable tbody tr td input.i-checks:checkbox:checked").attr("id");
            var number = $("#contentTable tbody tr td input.i-checks:checkbox:checked").parent().parent().parent().find(".codelabel1").html();
            var name = $("#contentTable tbody tr td input.i-checks:checkbox:checked").parent().parent().parent().find(".codelabel2").html();
            var reportDate = $("#contentTable tbody tr td input.i-checks:checkbox:checked").parent().parent().parent().find(".codelabel3").html();
            var contractNum = $("#contentTable tbody tr td input.i-checks:checkbox:checked").parent().parent().parent().find(".codelabel4").html();
            var contractName = $("#contentTable tbody tr td input.i-checks:checkbox:checked").parent().parent().parent().find(".codelabel5").html();
            var clientName = $("#contentTable tbody tr td input.i-checks:checkbox:checked").parent().parent().parent().find(".codelabel6").html();
            var projectName = $("#contentTable tbody tr td input.i-checks:checkbox:checked").parent().parent().parent().find(".codelabel7").html();
            var projectNum = $("#contentTable tbody tr td input.i-checks:checkbox:checked").parent().parent().parent().find(".codelabel8").html();
            return {'id':id,'name':name,'number':number,'reportDate':reportDate,'contractNum':contractNum,
				'contractName':contractName,'clientName':clientName,'projectName':projectName,'projectNum':projectNum};
		}
		function page(n,s){
			if(n) $("#pageNo").val(n);
			if(s) $("#pageSize").val(s);
			$("#searchForm").attr("action","${url}");
			$("#searchForm").submit();
	    	return false;
	    }
	</script>
</head>
<body class="gray-bg">
<div class="wrapper wrapper-content">
	<div class="layui-row">
		<div class="full-width fl">
			<div class="layui-row" id="queryDiv">
	<form:form id="searchForm" modelAttribute="obj" action="${url}" method="post" class="form-inline">
		<input type="hidden" name="url" value="${url}"/>
		<input type="hidden" name="fieldLabels" value="${fieldLabels}"/>
		<input type="hidden" name="fieldKeys" value="${fieldKeys}"/>
		<input type="hidden" name="searchKey" value="${searchKey}"/>
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<div class="commonQuery">
			<div class="layui-item query athird">
				<span class="layui-form-label">${searchLabel}：</span>
				<%--<span class="layui-form-label">${fns:urlDecode(searchLabel)}：</span>--%>
				<div class="layui-input-block">
					<form:input path="name" htmlEscape="false" maxlength="50" class=" form-control layui-input"/>
				</div>
			</div>
			<div class="layui-item athird fr">
				<div class="input-group">
					<button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
					<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
				</div>
			</div>
		</div>
	</form:form>
	<br/>
	</div>
	</div>
		<div class="full-width fl">
			<div class="layui-item layui-col-xs12 form-table-container">

			<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th><input type="checkbox" class="i-checks"></th>
					<th>报告编号</th>
					<th>报告名称</th>
					<th>报告日期</th>
					<th>合同编号</th>
					<th>合同名称</th>
					<th>主委托方</th>
					<th>项目名称</th>
					<th>项目编号</th>
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty page.list}">
		<c:forEach items="${page.list}" var="obj2">
				<tr>
					<td style="text-align:center;"> <input type="checkbox" id="${fns:getValue(obj2, 'id')}" class="i-checks"></td>
                    <td style="text-align:center;" class="codelabel1">${fns:getValue(obj2, 'number')}</td>
                    <td style="text-align:center;" class="codelabel2">${fns:getValue(obj2, 'name')}</td>
					<td style="text-align:center;" class="codelabel3"><fmt:formatDate value="${obj2.reportDate}" pattern="yyyy-MM-dd"/></td>
					<td style="text-align:center;" class="codelabel4">${obj2.contractNum}</td>
                    <td style="text-align:center;" class="codelabel5">${obj2.contractName}</td>
                    <td style="text-align:center;" class="codelabel6">${obj2.clientName}</td>
					<td style="text-align:center;" class="codelabel7">${obj2.projectName}</td>
					<td style="text-align:center;" class="codelabel8">${obj2.projectNum}</td>
				</tr>
		</c:forEach>
		</c:when>
			<c:otherwise>
				<tr>
					<td colspan="15" align="center">
						暂无数据
					</td>
				</tr>
			</c:otherwise>
		</c:choose>

		</tbody>
	</table>
			<table:page page="${page}"></table:page>
			</div>
		</div>
		<div class="form-group layui-row page-end"></div>
	</div>
</div>
</body>
</html>