<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp" %>
<html>
<head>
    <title>个人信息</title>
    <meta name="decorator" content="default"/>
    <script type="text/javascript">
        $(document).ready(function () {
            if (navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)) {//如果是移动端，就使用自适应大小弹窗
                width = 'auto';
                height = 'auto';
            } else {//如果是PC端，根据用户设置的width和height显示。
                width = '500px';
                height = '350px';
            }

            $("#userPassWordBtn").click(function () {
                top.layer.open({
                    type: 2,
                    area: [width, height],
                    title: "修改密码",
                    content: "${ctx}/sys/user/modifyPwd",
                    skin: "two-btns",
                    btn: ['确定', '关闭'],
                    yes: function (index, layero) {
                        var body = top.layer.getChildFrame('body', index);
                        var inputForm = $(body).find('#inputForm');
                        var btn = body.find('#btnSubmit');
                        var top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                        inputForm.attr("target", top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                        inputForm.validate({
                            rules: {},
                            messages: {
                                confirmNewPassword: {equalTo: "输入与上面相同的密码"}
                            },
                            submitHandler: function (form) {
                                loading('正在提交，请稍等...');
                                form.submit();

                            },
                            errorContainer: "#messageBox",
                            errorPlacement: function (error, element) {
                                $("#messageBox").text("输入有误，请先更正。");
                                if (element.is(":checkbox") || element.is(":radio") || element.parent().is(".input-append")) {
                                    error.appendTo(element.parent().parent());
                                } else {
                                    error.insertAfter(element);
                                }
                            }
                        });
                        if (inputForm.valid()) {
                            loading("正在提交，请稍等...");
                            inputForm.submit();
                            top.layer.close(index);//关闭对话框。
                        } else {
                            return;
                        }


                    },
                    cancel: function (index) {
                    }
                });
            });
            /**
             * 更换手机号
             */
            $("#userMobileBtn").click(function () {
                top.layer.open({
                    type: 2,
                    area: [width, height],
                    title: "更换手机号",
                    content: "${ctx}/sys/user/modifyMobo",
                    skin: "two-btns",
                    btn: ['确定', '关闭'],
                    yes: function (index, layero) {
                        var body = top.layer.getChildFrame('body', index);
                        var inputForm = $(body).find('#inputForm');
                        var btn = body.find('#btnSubmit');
                        var top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                        inputForm.attr("target", top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                        if (inputForm.valid()) {
                            loading("正在提交，请稍等...");
                            inputForm.submit();
                            top.layer.close(index);//关闭对话框。
                        } else {
                            return;
                        }
                    },
                    cancel: function (index) {
                    }
                });
            });

            $("#userInfoBtn").click(function () {
                top.layer.open({
                    type: 2,
                    area: [width, height],
                    title: "个人信息编辑",
                    content: "${ctx}/sys/user/infoEdit",
                    btn: ['确定', '关闭'],
                    skin: "two-btns",
                    yes: function (index, layero) {
                        var body = top.layer.getChildFrame('body', index);
                        var inputForm = $(body).find('#inputForm');
                        var top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                        inputForm.attr("target", top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                        inputForm.validate();
                        if (inputForm.valid()) {
                            loading("正在提交，请稍等...");
                            inputForm.submit();
                        } else {
                            return;
                        }
                        top.layer.close(index);//关闭对话框。

                    },
                    cancel: function (index) {
                    }
                });
            });
            $("#userImageBtn").click(function () {
                top.layer.open({
                    type: 2,
                    area: [width, height],
                    title: "上传头像",
                    content: "${ctx}/sys/user/imageEdit", //  btn: ['确定', '关闭'],
                    yes: function (index, layero) {
                        var body = top.layer.getChildFrame('body', index);
                        var inputForm = body.find('#inputForm');
                        var top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                        inputForm.attr("target", top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                        inputForm.validate();
                        if (inputForm.valid()) {
                            loading("正在提交，请稍等...");
                            inputForm.submit();
                        } else {
                            return;
                        }

                        top.layer.close(index);//关闭对话框。

                    },
                    cancel: function (index) {
                    }
                });
            });

        });
        function openDialog(title,url,width,height,target) {
            $.ajax({
                type:'post',
                url:'${ctx}/workstaff/workStaffBasicInfo/getApply',
                success:function(data) {
                    if(data){
                        parent.layer.msg("修改申请正在审核中!", {icon: 5});
                        return false;

                    }else{
                        if (navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)) {//如果是移动端，就使用自适应大小弹窗
                            width = 'auto';
                            height = 'auto';
                        } else {//如果是PC端，根据用户设置的width和height显示。

                        }
                        top.layer.open({
                            type: 2,
                            area: [width, height],
                            title: title,
                            maxmin: true, //开启最大化最小化按钮
                            content: url,
                            btn: ["提交","关闭"],
                            btn1: function(index, layero){
                                var body = top.layer.getChildFrame('body', index);
                                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                                var inputForm = body.find('#inputForm');
                                var top_iframe;
                                if(target){
                                    top_iframe = target;//如果指定了iframe，则在改frame中跳转
                                }else{
                                    top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                                }
                                inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示

                                if(iframeWin.contentWindow.doSubmit(index) ){
                                    // top.layer.close(index);//关闭对话框。
                                    setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                                }
                                return false;
                            },
                            btn2: function (index) {

                            }
                        });
                    }
                }
            });
        }
        function openDialog2(title,url,width,height,target) {
            if (navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)) {//如果是移动端，就使用自适应大小弹窗
                width = 'auto';
                height = 'auto';
            } else {//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url,
                btn: ["提交","关闭"],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示

                    if(iframeWin.contentWindow.doSubmit(index) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                    return false;
                },
                btn2: function (index) {

                }
            });
        }
    </script>
    <style>
        ul.dropdown-menu.dropdown-user li a {
            margin-left: 0px;
        }

        body {
            background-color: transparent;
            filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
            color: #ffffff;
            background-color: rgba(255, 255, 255, 0);
            height: 100%;
        }

        .ibox-title {
            min-height: 28px;
            margin: 15px 15px 0 15px;
        }

        .ibox {
            margin-bottom: 0px;
        }

        .ibox-content {
            border: none;
        }

        .mypic {
            width: 180px;
            height: 180px;
            /*border:solid 1px #e7e7e7;*/
            background-color: #ffffff;
            background-image: url("${user.photo }"); /* 图片地址 */
            /*background-origin:content;*/ /*从content区域开始显示背景*/
            background-position: 50% 50%; /*图片上下左右居中*/
            background-size: contain; /*保持图像本身的宽高比例，将图片缩放到宽度或高度正好适应定义背景的区域*/
            background-repeat: no-repeat; /*图像不重复显示*/
        }

        h5 {
            height: 19px;
            line-height: 19px;
        }

        @media screen and (min-width: 1679px) {
            .remark {
                width: 100%;
            }
        }

        @media screen and (max-width: 1679px) {
            .remark {
                width: 98.5%;
            }
        }

        @media screen and (max-width: 1675px) and (min-width: 1599px) {
            .remark {
                width: 80%;
            }
        }

        @media screen and (max-width: 1390px) {
            .remark {
                width: 95%;
            }
        }

        @media screen and (max-width: 1390px) and (min-width: 1599px) {
            .remark {
                width: 100%;
            }
        }
    </style>
</head>
<body>
<div class="wrapper wrapper-content  view-form">
    <sys:message hideType="1" content="${message}"/>
    <div class="layui-row">
        <div class="full-width fl">
            <div id="queryDiv">
            </div>
        </div>
        <div class="single-form">
            <div class="full-width fl">
                <div class="contentShadow layui-form contentDetails">
                    <div class="col-sm-12" style="padding: 0;">
                        <div class="ibox float-e-margins">
                            <div class="ibox-title">
                                <h2 style="text-indent: 12px;margin-top: 10px;font-size: 16px;font-weight: bold;border-left: 5px solid #009FFA;">用户信息</h2>
                                <div class="ibox-tools">
                                    <a style="display:block;margin-top:-20px;" class="dropdown-toggle" data-toggle="dropdown"
                                       href="javascript:void(0)">
                                        编辑<i class="fa fa-wrench"></i>
                                    </a>
                                    <ul class="dropdown-menu dropdown-user">
                                        <li><a id="userInfoBtn" data-toggle="modal" data-target="#register">编辑资料</a>
                                        </li>
                                        <li><a id="userImageBtn" data-toggle="modal" data-target="#register">更换头像</a>
                                        </li>
                                        <li><a id="userPassWordBtn" data-toggle="modal" data-target="#register">更换密码</a>
                                        </li>
                                        <li><a id="userMobileBtn" data-toggle="modal" data-target="#register">更换手机号</a>
                                        </li>
                                        <%-- <li>
                                             <a href="${ctx}/sys/user/userDelete?id=${user.id}"
                                                onclick="return confirmx('确认要注销该用户吗？', this.href)"> 注销用户</a>
                                         </li>--%>
                                    </ul>
                                </div>
                            </div>
                            <div class="ibox-content">
                                <div class="row">
                                    <div style="padding: 0 15px;">
                                        <div class="col-sm-12" style="padding: 0px;">
                                            <div class="table-responsive">
                                                <div class="layui-item layui-col-sm6 lw7" style="padding-right: 0;">
                                                    <div class="layui-item layui-col-sm12">
                                                        <label class="layui-form-label">姓 名：</label>
                                                        <div class="layui-input-block">
                                                            <input htmlEscape="false" style="background: #fff;" readonly="true"
                                                                   class="form-control layui-input"
                                                                   value="${user.name}"/>
                                                        </div>
                                                    </div>
                                                    <div class="layui-item layui-col-sm12">
                                                        <label class="layui-form-label">手 机：</label>
                                                        <div class="layui-input-block">
                                                            <input htmlEscape="false" style="background: #fff;" readonly="true"
                                                                   class="form-control layui-input"
                                                                   value="${user.mobile}"/>
                                                        </div>
                                                    </div>
                                                    <div class="layui-item layui-col-sm12">
                                                        <label class="layui-form-label">座机：</label>
                                                        <div class="layui-input-block">
                                                            <input htmlEscape="false" style="background: #fff;" readonly="true"
                                                                   class="form-control layui-input"
                                                                   value="${user.phone}"/>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="layui-item layui-col-sm6 lw7">
                                                    <label class="layui-form-label">公 司：</label>
                                                    <div class="layui-input-block">
                                                        <input htmlEscape="false" style="background: #fff;" readonly="true"
                                                               class="form-control layui-input"
                                                               value="${user.company.name}"/>
                                                    </div>
                                                </div>
                                                <div class="layui-item layui-col-sm6 lw7">
                                                    <label class="layui-form-label">部 门：</label>
                                                    <div class="layui-input-block">
                                                        <input htmlEscape="false" style="background: #fff;" readonly="true"
                                                               class="form-control layui-input"
                                                               value="${user.office.topCompany}"/>
                                                    </div>
                                                </div>

                                                <div class="layui-item layui-col-sm6 lw7">
                                                    <label class="layui-form-label">岗位：</label>
                                                    <div class="layui-input-block">
                                                        <input htmlEscape="false" style="background: #fff;" readonly="true"
                                                               class="form-control layui-input"
                                                               value="${fns:checkRole(fns:getUser().id,fns:getUser().comId)}"/>
                                                    </div>
                                                </div>
                                                <div class="layui-item layui-col-sm6 lw7">
                                                    <label class="layui-form-label">入职时间：</label>
                                                    <div class="layui-input-block">
                                                        <input style="background: #fff;" value="<fmt:formatDate value="${workStaffBasicInfo.entryDate}" pattern="yyyy-MM-dd"/>" type="text" readonly="true" class="form-control  layui-input" />
                                                        <%-- <input htmlEscape="false" style="background: #fff;" readonly="true"
                                                                class="form-control layui-input"
                                                                value="${fns:getDictLabel(user.userType, 'sys_user_type', '无')}"/>--%>
                                                    </div>
                                                </div>

                                                <%--<strong>上次登录</strong>
                                                IP: ${user.oldLoginIp}&nbsp;&nbsp;&nbsp;&nbsp;时间：<fmt:formatDate value="${user.oldLoginDate}" type="both" dateStyle="full"/>
--%>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12" style="padding: 0;">
                        <div class="ibox float-e-margins">
                            <div class="ibox-title">
                                <h2 style="text-indent: 12px;margin-top: 10px;font-size: 16px;font-weight: bold;border-left: 5px solid #009FFA;">基本信息</h2>
                                <div class="ibox-tools" style="margin-top: -20px">
                                    <a style="display:block;" class="dropdown-toggle" data-toggle="dropdown"
                                       href="javascript:void(0)">
                                        编辑<i class="fa fa-wrench"></i>
                                    </a>
                                    <ul class="dropdown-menu dropdown-user">
                                        <li><a id="userEdit" data-toggle="modal" onclick="openDialog('修改档案信息', '${ctx}/workstaff/workStaffBasicInfo/applyEdit','95%','95%')" data-target="#register">申请修改</a>
                                        </li>
                                        <li><a id="userEditDirectly" data-toggle="modal" onclick="openDialog2('修改档案信息', '${ctx}/workstaff/workStaffBasicInfo/applyEditDirectly','95%','95%')" data-target="#register">直接修改</a>
                                        </li>
                                    </ul>
                                </div>
                            </div>

                            <div class="ibox-content">
                                <div class="form-group layui-row first">
                                    <div class="layui-item layui-col-sm6 lw7" style="padding-right: 0;">
                                        <div class="layui-item layui-col-sm12">
                                            <label class="layui-form-label"><span class="require-item">*</span>工    号：</label>
                                            <div class="layui-input-block">
                                                <input name="no" value="${workStaffBasicInfo.no}" htmlEscape="false" readonly="true" class="form-control  layui-input"/>
                                            </div>
                                        </div>
                                        <div class="layui-item layui-col-sm12">
                                            <label class="layui-form-label"><span class="require-item">*</span>性    别：</label>
                                            <div class="layui-input-block">
                                                <input value="${fns:getDictLabel(workStaffBasicInfo.gender,'sex','')}" type="text" readonly="true" class="form-control  layui-input" />
                                                <input name="gender" value="${workStaffBasicInfo.gender}" type="hidden" readonly="true" class="form-control  layui-input" />
                                            </div>
                                        </div>
                                        <div class="layui-item layui-col-sm12">
                                            <label class="layui-form-label"><span class="require-item">*</span>身份证号码：</label>
                                            <div class="layui-input-block">
                                                <input name="idCard"  htmlEscape="false" value="${workStaffBasicInfo.idCard}" readonly="true" class="form-control idCard layui-input required"/>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <div style="margin-right: 120px;">
                                            <div class="layui-item layui-col-sm12">
                                                <label class="layui-form-label"><span class="require-item">*</span>姓    名：</label>
                                                <div class="layui-input-block">
                                                    <input name="name" value="${workStaffBasicInfo.name}" htmlEscape="false" readonly="true" class="form-control layui-input required"/>
                                                </div>
                                            </div>
                                            <div class="layui-item layui-col-sm12">
                                                <label class="layui-form-label"><span class="require-item">*</span>民    族：</label>
                                                <div class="layui-input-block">
                                                    <input value="${fns:getDictLabel(workStaffBasicInfo.nation,'nation_type','')}" type="text" readonly="true" class="form-control  layui-input" />
                                                    <input name="nation" value="${workStaffBasicInfo.nation}" type="hidden" readonly="true" class="form-control  layui-input" />
                                                </div>
                                            </div>
                                            <div class="layui-item layui-col-sm12">
                                                <label class="layui-form-label"><span class="require-item">*</span>年    龄：</label>
                                                <div class="layui-input-block">
                                                    <input name="age" value="${workStaffBasicInfo.age}" htmlEscape="false" readonly="true" class="form-control  layui-input required"/>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="profile_box_wrapper">
                                            <div class="profile_box">
                                                <div id="this_upload_image_div_1">
                                                    <div id="this_upload_div_1" style="position:relative;">
                                                        <c:choose>
                                                            <c:when test="${not empty workStaffBasicInfo.picture}">
                                                                <%--<span id="this_upload_close_1" class="pic_close glyphicon glyphicon-remove" onclick="this_close_img(1)"></span>--%>
                                                                <img alt="_blank" id="this_upload_image_1" class="upload_ico" style="cursor:pointer;"  src="${workStaffBasicInfo.picture}" />
                                                            </c:when>
                                                            <c:otherwise>
                                                                <img alt="_blank" id="this_upload_image_1" class="upload_ico" style="cursor:pointer;"  src="${pageContext.request.contextPath}/static/common/img/pic_add.png" />
                                                            </c:otherwise>
                                                        </c:choose>
                                                        <input id="this_upload_file_1" type="file" style="display:none"  name="pictureFile"  onchange="this_upload_show_image(1)"  class="form-control"/>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label"><span class="require-item">*</span>出生日期：</label>
                                        <div class="layui-input-block">
                                            <input name="birthday" value="<fmt:formatDate value="${workStaffBasicInfo.birthday}" pattern="yyyy-MM-dd"/>" type="text" readonly="true" class="form-control  layui-input" />
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label"><span class="require-item">*</span>公历/农历：</label>
                                        <div class="layui-input-block">
                                            <input value="${fns:getDictLabel(workStaffBasicInfo.calendar,'calendar_type','')}" type="text" readonly="true" class="form-control  layui-input" />
                                            <input value="${workStaffBasicInfo.calendar}" type="hidden" readonly="true" class="form-control  layui-input" />
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label">电子邮箱：</label>
                                        <div class="layui-input-block">
                                            <input name="email" value="${workStaffBasicInfo.email}" htmlEscape="false" readonly="true" class="form-control layui-input email"/>
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label"><span class="require-item">*</span>移动电话：</label>
                                        <div class="layui-input-block">
                                            <input name="mobile" value="${workStaffBasicInfo.mobile}" htmlEscape="false" readonly="true" class="form-control layui-input required isPhone"/>
                                        </div>
                                    </div>

                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label">座机：</label>
                                        <div class="layui-input-block">
                                            <input name="phone" value="${workStaffBasicInfo.phone}" htmlEscape="false" readonly="true" class="form-control  layui-input"/>
                                        </div>
                                    </div>

                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label"><span class="require-item">*</span>归属部门：</label>
                                        <div class="layui-input-block">
                                            <input name="office.name" value="${workStaffBasicInfo.office.name}" type="text" readonly="true" class="form-control  layui-input" />
                                            <input name="office.id" value="${workStaffBasicInfo.office.id}" type="hidden" readonly="true" class="form-control  layui-input" />
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label"><span class="require-item">*</span>职    位：</label>
                                        <div class="layui-input-block">
                                            <input name="duty" value="${workStaffBasicInfo.duty}" type="text" readonly="true" class="form-control  layui-input" />
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label"><span class="require-item">*</span>职    级：</label>
                                        <div class="layui-input-block with-icon">
                                            <input name="jobGrade.name" htmlEscape="false" value="${workStaffBasicInfo.jobGrade.name}" readonly="true"  class="form-control layui-input required"/>
                                            <input type="hidden" name="jobGrade.id" htmlEscape="false"  readonly="true"  class="form-control layui-input required"/>
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label"><span class="require-item">*</span>基本工资：</label>
                                        <div class="layui-input-block with-icon">
                                            <input id="salary" htmlEscape="false" readonly value="<fmt:formatNumber pattern="#,##0.00#" value="${workStaffBasicInfo.salary}"/>" class="form-control layui-input"/>
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label double-line"><span class="require-item">*</span>是否 TS人员：</label>
                                        <div class="layui-input-block">
                                            <input value="${fns:getDictLabel(workStaffBasicInfo.ts,'yes_no','')}" type="text" readonly="true" class="form-control  layui-input" />
                                            <input name="ts" value="${workStaffBasicInfo.ts}" type="hidden" readonly="true" class="form-control  layui-input" />
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label"><span class="require-item">*</span>员工状态：</label>
                                        <div class="layui-input-block">
                                            <input name="status" value="${workStaffBasicInfo.status}" type="text" readonly="true" class="form-control  layui-input" />
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label"><span class="require-item">*</span>入职日期：</label>
                                        <div class="layui-input-block">
                                            <input name="entryDate" value="<fmt:formatDate value="${workStaffBasicInfo.entryDate}" pattern="yyyy-MM-dd"/>" type="text" readonly="true" class="form-control  layui-input" />
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label double-line"><span class="require-item">*</span>参加工作日期：</label>
                                        <div class="layui-input-block">
                                            <input name="workDate" value="<fmt:formatDate value="${workStaffBasicInfo.workDate}" pattern="yyyy-MM"/>" type="text" readonly="true" class="form-control  layui-input" />
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label">开户银行：</label>
                                        <div class="layui-input-block">
                                            <input name="bankName" value="${workStaffBasicInfo.bankName}" type="text" readonly="true" class="form-control  layui-input" />
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label">银行卡号：</label>
                                        <div class="layui-input-block">
                                            <input name="bankCard" value="${workStaffBasicInfo.bankCard}" htmlEscape="false" readonly="true" class="form-control layui-input digits"/>
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label"><span class="require-item">*</span>婚姻状况：</label>
                                        <div class="layui-input-block">
                                            <input name="marriage" value="${workStaffBasicInfo.marriage}" type="text" readonly="true" class="form-control  layui-input" />
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label"><span class="require-item">*</span>政治面貌：</label>
                                        <div class="layui-input-block">
                                            <input name="politics" value="${workStaffBasicInfo.politics}" type="text" readonly="true" class="form-control  layui-input" />
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label double-line">是否退伍军人：</label>
                                        <div class="layui-input-block">
                                            <input name="exSoldier" value="${fns:getDictLabel(workStaffBasicInfo.exSoldier,'yes_no','')}" type="text" readonly="true" class="form-control  layui-input" />
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label">常住地址：</label>
                                        <div class="layui-input-block">
                                            <input name="address" value="${workStaffBasicInfo.address}" htmlEscape="false" readonly="true" class="form-control layui-input"/>
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label">籍    贯：</label>
                                        <div class="layui-input-block">
                                            <input name="nativePlace.name" value="${workStaffBasicInfo.nativePlace.name}" type="text" readonly="true" class="form-control  layui-input" />
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label">户口所在地：</label>
                                        <div class="layui-input-block">
                                            <input name="household" value="${workStaffBasicInfo.household}" htmlEscape="false" readonly="true" class="form-control layui-input"/>
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label double-line"><span class="require-item">*</span>从事本行业日期：</label>
                                        <div class="layui-input-block">
                                            <input id="industryDate" name="industryDate" type="text" maxlength="20" readonly class="form-control layui-input"
                                                   value="<fmt:formatDate value="${workStaffBasicInfo.industryDate}" pattern="yyyy-MM"/>"/>
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label double-line">试用期结束日期：</label>
                                        <div class="layui-input-block">
                                            <input id="tryEndTime"  type="text" maxlength="20" readonly class="form-control layui-input"
                                                   value="<fmt:formatDate value="${workStaffBasicInfo.tryEndTime}" pattern="yyyy-MM-dd"/>"/>
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label">离职日期：</label>
                                        <div class="layui-input-block">
                                            <input id="dimissionDate"  type="text" maxlength="20" readonly class="form-control layui-input"
                                                   value="<fmt:formatDate value="${workStaffBasicInfo.dimissionDate}" pattern="yyyy-MM-dd"/>"/>
                                        </div>
                                    </div>
                                    <div class="layui-item layui-col-sm6 lw7">
                                        <label class="layui-form-label double-line">考勤截止日期：</label>
                                        <div class="layui-input-block">
                                            <input id="workEndDate"  type="text" maxlength="20" readonly class="form-control layui-input"
                                                   value="<fmt:formatDate value="${workStaffBasicInfo.workEndDate}" pattern="yyyy-MM-dd"/>"/>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group layui-row">
                                    <div class="form-group-label"><h2>教育经历</h2></div>
                                    <div class="layui-item layui-col-xs12 form-table-container">
                                        <table id="educationTable" class="table table-bordered table-condensed details">
                                            <thead>
                                            <tr>
                                                <th width="12%"><span class="require-item">*</span>毕业院校</th>
                                                <th width="12%">所学专业</th>
                                                <th width="12%"><span class="require-item">*</span>学    历</th>
                                                <th width="12%">学    位</th>
                                                <th width="12%"><span class="require-item">*</span>学历性质</th>
                                                <th width="10%"><span class="require-item">*</span>入学日期</th>
                                                <th width="10%">毕业日期</th>
                                                <th width="10%">学历证书</th>
                                                <th width="10%">学位证书</th>
                                            </tr>
                                            </thead>
                                            <tbody id="educationList">
                                            <c:forEach items="${workStaffBasicInfo.educationList}" var="education" varStatus="varStatus">
                                                <tr id="${education.id}">
                                                    <td>
                                                            ${education.school}
                                                    </td>
                                                    <td>
                                                            ${education.major}
                                                    </td>
                                                    <td>
                                                            ${fns:getDictLabel(education.edu,'education_level','')}
                                                    </td>
                                                    <td>
                                                            ${fns:getDictLabel(education.degree,'degree_level','')}
                                                    </td>
                                                    <td>
                                                            ${fns:getDictLabel(education.eduType,'edu_type','')}
                                                    </td>
                                                    <td>
                                                        <fmt:formatDate value="${education.startDate}" pattern="yyyy-MM-dd"/>
                                                    </td>
                                                    <td>
                                                        <fmt:formatDate value="${education.endDate}" pattern="yyyy-MM-dd"/>
                                                    </td>
                                                    <td class="text-left op-td">
                                                        <c:if test="${not empty education.eduPhoto}"><img src="${education.eduPhoto}" width="24" height="24" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${education.eduPhoto}','90%','90%')" alt=""></c:if>
                                                    </td>
                                                    <td class="text-left op-td">
                                                        <c:if test="${not empty education.degreePhoto}"><img src="${education.degreePhoto}" width="24" height="24" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${education.degreePhoto}','90%','90%')" alt=""></c:if>
                                                    </td>
                                                </tr>
                                            </c:forEach>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="form-group layui-row">
                                    <div class="form-group-label"><h2>劳动关系</h2></div>
                                    <div class="layui-item layui-col-xs12 form-table-container">
                                        <table id="labourTable" class="table table-bordered table-condensed details">
                                            <thead>
                                            <tr>
                                                <th width="12%">合同类型</th>
                                                <th width="12%">合同编号</th>
                                                <th width="12%">合同期限</th>
                                                <th width="11%">合同起始日期</th>
                                                <th width="11%">合同终止日期</th>
                                                <th width="11%">试用期结束日期</th>
                                                <th width="11%">办理日期</th>
                                                <th width="20%">文件</th>
                                            </tr>
                                            </thead>
                                            <tbody id="labourList">
                                            <c:forEach items="${workStaffBasicInfo.labourList}" var="buyDetails" varStatus="status">
                                                <tr>
                                                    <td>${fns:getDictLabel(buyDetails.contractType, 'relsp_cType', '')}</td>
                                                    <td>${buyDetails.contractNum}</td>
                                                    <td>${fns:getDictLabel(buyDetails.contractLimit, 'contract_limit', '')}</td>
                                                    <td><fmt:formatDate value="${buyDetails.contractStartTime}" pattern="yyyy-MM-dd"/></td>
                                                    <td><fmt:formatDate value="${buyDetails.contractEndTime}" pattern="yyyy-MM-dd"/></td>
                                                    <td><fmt:formatDate value="${buyDetails.tryEndTime}" pattern="yyyy-MM-dd"/></td>
                                                    <td><fmt:formatDate value="${buyDetails.transactTime}" pattern="yyyy-MM-dd"/></td>
                                                        <%--试用期结束时间<td><fmt:formatDate value="${buyDetails.tryEndTime}" pattern="yyyy-MM-dd"/></td>--%>

                                                    <c:forEach items="${buyDetails.workAttachments}" var = "workClientAttachment" varStatus="status">
                                                        <c:choose>
                                                            <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
																		   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
																		   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
																		   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
																		   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
                                                                <td><img src="${workClientAttachment.url}" width="24" height="24" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')" alt="${workClientAttachment.attachmentName}"></td>
                                                            </c:when>
                                                            <c:otherwise>
                                                                <c:choose>
                                                                    <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
                                                                        <td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%','1')">${workClientAttachment.attachmentName}</a></td>
                                                                    </c:when>
                                                                    <c:otherwise>
                                                                        <td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%')">${workClientAttachment.attachmentName}</a></td>
                                                                    </c:otherwise>
                                                                </c:choose>
                                                            </c:otherwise>
                                                        </c:choose>
                                                    </c:forEach>
                                                </tr>
                                            </c:forEach>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="form-group layui-row">
                                    <div class="form-group-label"><h2>外语语种</h2></div>
                                    <div class="layui-item layui-col-xs12 form-table-container">
                                        <table id="languageTable" class="table table-bordered table-condensed details">
                                            <thead>
                                            <tr>
                                                <th width="20%"><span class="require-item">*</span>语种</th>
                                                <th width="20%"><span class="require-item">*</span>熟练程度</th>
                                                <th width="20%">证书名称</th>
                                                <th width="20%">获证日期</th>
                                                <th width="20%">文件</th>
                                            </tr>
                                            </thead>
                                            <tbody id="languageList">
                                            <c:forEach items="${workStaffBasicInfo.languageList}" var="language" varStatus="varStatus">
                                                <tr>
                                                    <td>
                                                            ${fns:getMainDictLabel(language.language,'language','')}
                                                    </td>
                                                    <td>
                                                            ${fns:getDictLabel(language.proficiency,'proficiency','')}
                                                    </td>
                                                    <td>
                                                            ${language.certificate}
                                                    </td>
                                                    <td>
                                                        <fmt:formatDate value="${language.certifDate}" pattern="yyyy-MM-dd"/>
                                                    </td>
                                                    <td>
                                                        <c:if test="${not empty language.filePath}"><img src="${language.filePath}" width="24" height="24" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${language.filePath}','90%','90%')" alt=""></c:if>
                                                    </td>
                                                </tr>
                                            </c:forEach>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="form-group layui-row">
                                    <div class="form-group-label"><h2>工作经历</h2></div>
                                    <div class="layui-item layui-col-xs12 form-table-container">
                                        <table id="experienceTable" class="table table-bordered table-condensed details">
                                            <thead>
                                            <tr>
                                                <th width="15%"><span class="require-item">*</span>所在单位</th>
                                                <th width="15%"><span class="require-item">*</span>工作部门</th>
                                                <th width="15%"><span class="require-item">*</span>职务或岗位</th>
                                                <th width="15%"><span class="require-item">*</span>起始日期</th>
                                                <th width="15%"><span class="require-item">*</span>终止日期</th>
                                                <th width="13%">证明人</th>
                                                <th width="12%">证明人联系方式</th>
                                            </tr>
                                            </thead>
                                            <tbody id="experienceList">
                                            <c:forEach items="${workStaffBasicInfo.experienceList}" varStatus="varStatus" var="experience">
                                                <tr>
                                                    <td>
                                                            ${experience.company}
                                                    </td>
                                                    <td>
                                                            ${experience.dept}
                                                    </td>
                                                    <td>
                                                            ${experience.duty}
                                                    </td>
                                                    <td>
                                                        <fmt:formatDate value="${experience.startDate}" pattern="yyyy-MM-dd"/>
                                                    </td>
                                                    <td>
                                                        <fmt:formatDate value="${experience.endDate}" pattern="yyyy-MM-dd"/>
                                                    </td>
                                                    <td>
                                                            ${experience.certifier}
                                                    </td>
                                                    <td>
                                                            ${experience.certifierTel}
                                                    </td>
                                                </tr>
                                            </c:forEach>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="form-group layui-row">
                                    <div class="form-group-label"><h2>执业资格证书</h2></div>
                                    <div class="layui-item layui-col-xs12 form-table-container">
                                        <table id="certificateTable" class="table table-bordered table-condensed details">
                                            <thead>
                                            <tr>
                                                <th width="10%"><span class="require-item">*</span>证书名称</th>
                                                <th width="10%"><span class="require-item">*</span>证书编号</th>
                                                <th width="10%"><span class="require-item">*</span>发证机关</th>
                                                <th width="10%"><span class="require-item">*</span>发证日期</th>
                                                <th width="10%">注册日期</th>
                                                <th width="10%">注册证书编号</th>
                                                <th width="10%">专业</th>
                                                <th width="10%">等级</th>
                                                <th width="10%">取得方式</th>
                                                <th width="10%">文件</th>
                                            </tr>
                                            </thead>
                                            <tbody id="certificateList">
                                            <c:forEach items="${workStaffBasicInfo.certificateList}" var="certificate" varStatus="varStatus">
                                                <tr>
                                                    <td>
                                                            ${certificate.name}
                                                    </td>
                                                    <td>
                                                            ${certificate.num}
                                                    </td>
                                                    <td>
                                                            ${certificate.issuingAuthority}
                                                    </td>
                                                    <td>
                                                        <fmt:formatDate value="${certificate.issuingDate}" pattern="yyyy-MM-dd"/>
                                                    </td>
                                                    <td>
                                                        <fmt:formatDate value="${certificate.registDate}" pattern="yyyy-MM-dd"/>
                                                    </td>
                                                    <td>
                                                            ${certificate.registNum}
                                                    </td>
                                                    <td>
                                                            ${certificate.major}
                                                    </td>
                                                    <td>
                                                            ${certificate.grade}
                                                    </td>
                                                    <td>
                                                            ${certificate.issType}
                                                    </td>
                                                    <td >
                                                        <c:if test="${not empty certificate.filePath}"><img src="${certificate.filePath}" width="24" height="24" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${certificate.filePath}','90%','90%')" alt=""></c:if>
                                                    </td>
                                                </tr>
                                            </c:forEach>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="form-group layui-row">
                                    <div class="form-group-label"><h2>职称</h2></div>
                                    <div class="layui-item layui-col-xs12 form-table-container">
                                        <table id="titleTable" class="table table-bordered table-condensed details">
                                            <thead>
                                            <tr>
                                                <th width="20%"><span class="require-item">*</span>职称名称</th>
                                                <th width="15%"><span class="require-item">*</span>职称等级</th>
                                                <th width="15%"><span class="require-item">*</span>取得日期</th>
                                                <th width="15%"><span class="require-item">*</span>取得途径</th>
                                                <th width="20%"><span class="require-item">*</span>审批单位</th>
                                                <th width="15%">文件</th>
                                            </tr>
                                            </thead>
                                            <tbody id="titleList">
                                            <c:forEach items="${workStaffBasicInfo.titleList}" var="title" varStatus="varStatus">
                                                <tr>
                                                    <td>
                                                            ${title.name}
                                                    </td>
                                                    <td>
                                                            ${title.grade}
                                                    </td>
                                                    <td>
                                                        <fmt:formatDate value="${title.startDate}" pattern="yyyy-MM-dd"/>
                                                    </td>
                                                    <td>
                                                            ${title.pathway}
                                                    </td>
                                                    <td>
                                                            ${title.approvalAuthority}
                                                    </td>
                                                    <td>
                                                        <c:if test="${not empty title.filePath}"><img src="${title.filePath}" width="24" height="24" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${title.filePath}','90%','90%')" alt=""></c:if>
                                                    </td>
                                                </tr>
                                            </c:forEach>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="form-group layui-row">
                                    <div class="form-group-label"><h2>家庭情况</h2></div>
                                    <div class="layui-item layui-col-xs12 form-table-container">
                                        <table id="familyTable" class="table table-bordered table-condensed details">
                                            <thead>
                                            <tr>
                                                <th width="20%"><span class="require-item">*</span>与本人的关系</th>
                                                <th width="20%"><span class="require-item">*</span>成员姓名</th>
                                                <th width="20%"><span class="require-item">*</span>身份证号码</th>
                                                <th width="20%"><span class="require-item">*</span>成员性别</th>
                                                <th width="20%"><span class="require-item">*</span>成员联系方式</th>
                                            </tr>
                                            </thead>
                                            <tbody id="familyList">
                                            <c:forEach items="${workStaffBasicInfo.familyList}" var="family" varStatus="varStatus">
                                                <tr>
                                                    <td>
                                                            ${family.relation}
                                                    </td>
                                                    <td>
                                                            ${family.name}
                                                    </td>
                                                    <td>
                                                            ${family.idCard}
                                                    </td>
                                                    <td>
                                                            ${family.gender}
                                                    </td>
                                                    <td>
                                                            ${family.contact}
                                                    </td>
                                                </tr>
                                            </c:forEach>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="form-group layui-row">
                                    <div class="form-group-label"><h2>培训经历</h2></div>
                                    <div class="layui-item layui-col-xs12 form-table-container">
                                        <table id="trainingTable" class="table table-bordered table-condensed details">
                                            <thead>
                                            <tr>
                                                <th width="10%"><span class="require-item">*</span>培训名称</th>
                                                <th width="10%">培训机构</th>
                                                <th width="10%">培训地点</th>
                                                <th width="10%">培训起始日期</th>
                                                <th width="10%">培训终止日期</th>
                                                <th width="10%"><span class="require-item">*</span>培训类型</th>
                                                <th width="10%">学时</th>
                                                <th width="10%"><span class="require-item">*</span>所获证书</th>
                                                <th width="10%">文件</th>
                                                <th width="10%">备注</th>
                                            </tr>
                                            </thead>
                                            <tbody id="trainingList">
                                            <c:forEach items="${workStaffBasicInfo.trainingList}" var="training" varStatus="varStatus">
                                                <tr>
                                                    <td>
                                                            ${training.name}
                                                    </td>
                                                    <td>
                                                            ${training.agency}
                                                    </td>
                                                    <td>
                                                            ${training.address}
                                                    </td>
                                                    <td>
                                                        <fmt:formatDate value="${training.startDate}" pattern="yyyy-MM-dd"/>
                                                    </td>
                                                    <td>
                                                        <fmt:formatDate value="${training.endDate}" pattern="yyyy-MM-dd"/>
                                                    </td>
                                                    <td>
                                                            ${training.type}
                                                    </td>
                                                    <td>
                                                            ${training.hours}
                                                    </td>
                                                    <td>
                                                            ${training.certificate}
                                                    </td>
                                                    <td>
                                                        <c:if test="${not empty training.filePath}"><img src="${training.filePath}" width="24" height="24" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${training.filePath}','90%','90%')" alt="${training.fileName}"></c:if>
                                                    </td>
                                                    <td>
                                                            ${training.remarks}
                                                    </td>
                                                </tr>
                                            </c:forEach>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="form-group layui-row">
                                    <div class="form-group-label"><h2>社会及行业职务</h2></div>
                                    <div class="layui-item layui-col-xs12 form-table-container">
                                        <table id="socialPositionTable" class="table table-bordered table-condensed details">
                                            <thead>
                                            <tr>
                                                <th width="25%"><span class="require-item">*</span>职务名称</th>
                                                <th width="25%">任职开始日期</th>
                                                <th width="25%">任职结束日期</th>
                                                <th width="25%">任职机构</th>
                                            </tr>
                                            </thead>
                                            <tbody id="socialPositionList">
                                            <c:forEach items="${workStaffBasicInfo.socialPositionList}" varStatus="varStatus" var="socialPosition">
                                                <tr>
                                                    <td>
                                                            ${socialPosition.name}
                                                    </td>
                                                    <td>
                                                        <fmt:formatDate value="${socialPosition.startDate}" pattern="yyyy-MM-dd"/>
                                                    </td>
                                                    <td>
                                                        <fmt:formatDate value="${socialPosition.endDate}" pattern="yyyy-MM-dd"/>
                                                    </td>
                                                    <td>
                                                            ${socialPosition.organization}
                                                    </td>
                                                </tr>
                                            </c:forEach>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="form-group layui-row">
                                    <div class="form-group-label"><h2>奖惩情况</h2></div>
                                    <div class="layui-item layui-col-xs12 form-table-container">
                                        <table id="rewardsTable" class="table table-bordered table-condensed details">
                                            <thead>
                                            <tr>
                                                <th width="10%"><span class="require-item">*</span>奖惩类型</th>
                                                <th width="20%"><span class="require-item">*</span>奖惩名称</th>
                                                <th width="15%"><span class="require-item">*</span>时间</th>
                                                <th width="15%">级别</th>
                                                <th width="20%"><span class="require-item">*</span>原因</th>
                                                <th width="20%"><span class="require-item">*</span>授予机构</th>
                                            </tr>
                                            </thead>
                                            <tbody id="rewardsList">
                                            <c:forEach items="${workStaffBasicInfo.rewardsList}" varStatus="varStatus" var="rewards">
                                                <tr>
                                                    <td>
                                                            ${rewards.type}
                                                    </td>
                                                    <td>
                                                            ${rewards.name}
                                                    </td>
                                                    <td>
                                                            ${rewards.atTime}
                                                    </td>
                                                    <td>
                                                            ${rewards.grade}
                                                    </td>
                                                    <td>
                                                            ${rewards.reason}
                                                    </td>
                                                    <td>
                                                            ${rewards.organization}
                                                    </td>
                                                </tr>
                                            </c:forEach>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="form-group layui-row">
                                    <div class="form-group-label"><h2>工作业绩</h2></div>
                                    <div class="layui-item layui-col-xs12 form-table-container">
                                        <table id="achievementTable" class="table table-bordered table-condensed details">
                                            <thead>
                                            <tr>
                                                <th width="20%">项目名称</th>
                                                <th width="15%">主委托方</th>
                                                <th width="15%">工程分类</th>
                                                <th width="15%">规模类型/单位/数量</th>
                                                <th width="15%">担任职务</th>
                                                <th width="20%">参与内容</th>
                                            </tr>
                                            </thead>
                                            <tbody id="achievementList">
                                            <c:forEach items="${workStaffBasicInfo.achievementList}" var="achievement" varStatus="varStatus">
                                                <tr>
                                                    <td class="text-center">
                                                            ${achievement.projName}
                                                    </td>
                                                    <td class="text-center">
                                                            ${achievement.projClient}
                                                    </td>
                                                    <td class="text-center">
                                                            ${achievement.category}
                                                    </td>
                                                    <td class="text-center">
                                                            ${achievement.unitNumber}
                                                    </td>
                                                    <td class="text-center">
                                                            ${achievement.duty}
                                                    </td>
                                                    <td class="text-center">
                                                            ${achievement.content}
                                                    </td>
                                                </tr>
                                            </c:forEach>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="form-group layui-row">
                                    <div class="form-group-label"><h2>电子档案</h2></div>
                                    <div class="layui-item layui-col-xs12 form-table-container">
                                        <table id="recordTable" class="table table-bordered table-condensed details">
                                            <thead>
                                            <tr>
                                                <th width="25%"><span class="require-item">*</span>档案名称</th>
                                                <th width="25%">编号</th>
                                                <th width="25%">文件</th>
                                                <th width="25%">验证</th>
                                            </tr>
                                            </thead>
                                            <tbody id="recordList">
                                            <c:forEach items="${workStaffBasicInfo.recordList}" var="record" varStatus="varStatus">
                                                <tr>
                                                    <td>
                                                            ${record.name}
                                                    </td>
                                                    <td>
                                                            ${record.num}
                                                    </td>
                                                    <td>
                                                        <c:if test="${not empty record.filePath}"><img src="${record.filePath}" width="24" height="24" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${record.filePath}','90%','90%')" alt="${record.fileName}"></c:if>
                                                    </td>
                                                    <td>
                                                            ${record.status}
                                                    </td>
                                                </tr>
                                            </c:forEach>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div style="clear: both"></div>
                </div>
            </div>
        </div>
    </div>
    <script>

        resizeListWindow3();
        $(window).resize(function () {
            resizeListWindow3();
        });
    </script>

</body>
</html>