<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>编码制定管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<%--<div class="ibox-title">
		<h5>编码制定列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>--%>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="sysNumberInfo" action="${ctx}/sysnumberinfo/sysNumberInfo/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
		<div class="form-group">
			<span>编码名称：</span>
				<form:input path="name" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
			<span>编码分类：</span>
			<sys:treeselect id="sysNumberClass" name="sysNumberClass.id" value="${sysNumberInfo.sysNumberClass.id}" labelName="sysNumberClass.name" labelValue="${sysNumberInfo.sysNumberClass.name}" 
				title="编号分类" url="/sysnumberclass/sysNumberClass/treeData" cssClass=" form-control input-sm" allowClear="true" notAllowSelectParent="true"/>
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="sysnumberinfo:sysNumberInfo:add">
				<table:addRow url="${ctx}/sysnumberinfo/sysNumberInfo/form" title="编码制定"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="sysnumberinfo:sysNumberInfo:edit">
			    <table:editRow url="${ctx}/sysnumberinfo/sysNumberInfo/form" title="编码制定" id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="sysnumberinfo:sysNumberInfo:del">
				<table:delRow url="${ctx}/sysnumberinfo/sysNumberInfo/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="sysnumberinfo:sysNumberInfo:import">
				<table:importExcel url="${ctx}/sysnumberinfo/sysNumberInfo/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="sysnumberinfo:sysNumberInfo:export">
	       		<table:exportExcel url="${ctx}/sysnumberinfo/sysNumberInfo/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th width="5%"> <input type="checkbox" class="i-checks"></th>
				<th style="text-align: center;width: 20%" class="sort-column name">编码名称</th>
				<th style="text-align: center;width: 20%" class="sort-column identifier">标识符</th>
				<th style="text-align: center;width: 20%" class="sort-column example">示例编号</th>
				<th style="text-align: center;width: 20%">操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="sysNumberInfo">
			<tr>
				<td> <input type="checkbox" id="${sysNumberInfo.id}" class="i-checks"></td>
				<td><a  href="javascript:void(0)" onclick="openDialogView('查看编码制定', '${ctx}/sysnumberinfo/sysNumberInfo/form?id=${sysNumberInfo.id}','80%','80%')">
					${sysNumberInfo.name}
				</a></td>
				<td>
					${sysNumberInfo.identifier}
				</td>
				<td>
					${sysNumberInfo.example}
				</td>
				<td>
					<div style="text-align: center">
					<shiro:hasPermission name="sysnumberinfo:sysNumberInfo:view">
						<a href="javascript:void(0)" onclick="openDialogView('查看编码制定', '${ctx}/sysnumberinfo/sysNumberInfo/form?id=${sysNumberInfo.id}','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
					</shiro:hasPermission>
					<shiro:hasPermission name="sysnumberinfo:sysNumberInfo:edit">
    					<a href="javascript:void(0)" onclick="openDialog('修改编码制定', '${ctx}/sysnumberinfo/sysNumberInfo/form?id=${sysNumberInfo.id}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
    				</shiro:hasPermission>
    				<shiro:hasPermission name="sysnumberinfo:sysNumberInfo:del">
						<a href="${ctx}/sysnumberinfo/sysNumberInfo/delete?id=${sysNumberInfo.id}" onclick="return confirmx('确认要删除该编码制定吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
					</shiro:hasPermission>
					</div>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>