/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.project.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.project.entity.BidInformation;
import com.jeeplus.modules.project.dao.BidInformationDao;

/**
 * 标段信息Service
 * @author 姚儒彬
 * @version 2017-10-11
 */
@Service
@Transactional(readOnly = true)
public class BidInformationService extends CrudService<BidInformationDao, BidInformation> {

	public BidInformation get(String id) {
		return super.get(id);
	}
	
	public List<BidInformation> findList(BidInformation bidInformation) {
		return super.findList(bidInformation);
	}
	
	public Page<BidInformation> findPage(Page<BidInformation> page, BidInformation bidInformation) {
		return super.findPage(page, bidInformation);
	}
	
	@Transactional(readOnly = false)
	public void save(BidInformation bidInformation) {
		super.save(bidInformation);
	}
	
	@Transactional(readOnly = false)
	public void delete(BidInformation bidInformation) {
		super.delete(bidInformation);
	}
	
	
	
	
}