/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcommunicaterecord.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workcommunicaterecord.entity.WorkCommunicateContent;

import java.util.List;

/**
 * 沟通内容DAO接口
 * @author 马鹏波
 * @version 2018-06-06
 */
@MyBatisDao
public interface WorkCommunicateContentDao extends CrudDao<WorkCommunicateContent> {

	public List<WorkCommunicateContent> findListByCommunicateId(WorkCommunicateContent workCommunicateContent);

	int deleteByProId(WorkCommunicateContent workCommunicateContent);
}