/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workdevicerecord.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workdevicerecord.entity.WorkDeviceRecord;

import java.util.List;

/**
 * 设备询价记录DAO接口
 * @author 马鹏波
 * @version 2018-06-05
 */
@MyBatisDao
public interface WorkDeviceRecordDao extends CrudDao<WorkDeviceRecord> {

	public List<WorkDeviceRecord> findListByXjId(WorkDeviceRecord workDeviceRecord);

	int deleteByProId(WorkDeviceRecord workDeviceRecord);
}