/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workexample.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workexample.entity.WorkExampleInfo;

/**
 * 指标项目字典DAO接口
 * @author 杨帆
 * @version 2018-08-27
 */
@MyBatisDao
public interface WorkExampleInfoDao extends CrudDao<WorkExampleInfo> {
        Integer updateStatus(WorkExampleInfo WorkExampleInfo);
        Integer getOrderNum(String id);
}