/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workexample.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.google.common.collect.Lists;
import com.jeeplus.common.persistence.ActEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.exampleeconomics.entity.ExampleEconomics;
import com.jeeplus.modules.exampleexpend.entity.ExampleExpend;
import com.jeeplus.modules.exampleproject.entity.ExampleProject;
import com.jeeplus.modules.examplesingle.entity.ExampleSingle;
import org.activiti.engine.history.HistoricProcessInstance;
import org.activiti.engine.repository.ProcessDefinition;
import org.activiti.engine.runtime.ProcessInstance;
import org.activiti.engine.task.Task;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 案例Entity
 * @author ssrh
 * @version 2018-08-27
 */
public class WorkExampleExcel extends ActEntity<WorkExampleExcel> {
	private static final long serialVersionUID = 1L;
	//private String file;
	private List<ExcelList> excelList;

	public List<ExcelList> getExcelList() {
		return excelList;
	}

	public void setExcelList(List<ExcelList> excelList) {
		this.excelList = excelList;
	}

	/*public String getFile() {
		return file;
	}

	public void setFile(String file) {
		this.file = file;
	}*/

}