/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workreimbursementback.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workreimbursementback.entity.WorkReimbursementBack;

import java.util.List;

/**
 * 报销还款DAO接口
 * @author ssrh
 * @version 2018-10-17
 */
@MyBatisDao
public interface WorkReimbursementBackDao extends CrudDao<WorkReimbursementBack> {
    List<WorkReimbursementBack> findLoanList(WorkReimbursementBack workReimbursementBack);
   int deleteLoan(WorkReimbursementBack workReimbursementBack);
}