<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
    <title>请假申请详情</title>
    <meta name="decorator" content="default"/>
    <script type="text/javascript">
        $(function () {
            //只做查看时，禁用掉以下标签
            $('input,textarea,select').attr('disabled',"disabled");
        })
    </script>
</head>
<body>
<div class="ibox-content">
    <form:form id="inputForm" modelAttribute="leave" action="" method="post" class="form-horizontal">
        <fieldset>
            <legend>${leave.act.taskName}</legend>
            <div class="control-group">
                <label class="control-label">请假类型：</label>
                <div class="controls">
                        ${fns:getDictLabel(leave.leaveType, 'oa_leave_type', '')}
                </div>
            </div>
            <div class="control-group">
                <label class="control-label">开始时间：</label>
                <div class="controls">
                        ${leave.startTime}
                </div>
            </div>
            <div class="control-group">
                <label class="control-label">结束时间：</label>
                <div class="controls">
                   ${leave.endTime}
                </div>
            </div>
            <div class="control-group">
                <label class="control-label">请假原因：</label>
                <div class="controls">
                        ${leave.reason}
                </div>
            </div>
        </fieldset>
    </form:form>
</div>
</body>
</html>
