<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目审批管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
        function addRow(list, idx, tpl, row){
            // var idx1 = $("#workClientLinkmanList tr").length;
            bornTemplete(list, idx, tpl, row, idx);
        }

        function bornTemplete(list, idx, tpl, row, idx1){
            $(list).append(Mustache.render(tpl, {
                idx: idx, delBtn: true, row: row,
                order:idx1 + 1
            }));
            $(list+idx).find("select").each(function(){
                $(this).val($(this).attr("data-value"));
            });
            $(list+idx).find("input[type='checkbox'], input[type='radio']").each(function(){
                var ss = $(this).attr("data-value").split(',');
                for (var i=0; i<ss.length; i++){
                    if($(this).val() == ss[i]){
                        $(this).attr("checked","checked");
                    }
                }
            });
        }
	</script>
</head>
<body>
<div class="single-form">
    <div class="container view-form">
		<form:form id="inputForm" modelAttribute="projectRecordsAlter" action="" method="post" class="form-horizontal">
            <div class="tabs-container" style="margin-top: 20px;">
                <ul class="nav nav-tabs">
                    <li class="active"><a data-toggle="tab" href="#tab-11"  aria-expanded="true">项目变更信息</a>
                    </li>
                    <li class=""><a data-toggle="tab" href="#tab-22"  aria-expanded="false">原有项目信息</a>
                    </li>
                </ul>
                <div class="tab-content">
                    <div id="tab-11" class="tab-pane active">
                        <div class="form-group layui-row first">
                            <div class="form-group-label"><h2>项目合同信息</h2></div>
                            <div class="layui-item layui-col-sm12 lw6">
                                <label class="layui-form-label">合同编号：</label>
                                <div class="layui-input-block">
                                    <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.workContractInfo.contractNum}"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw6">
                                <label class="layui-form-label">合同名称：</label>
                                <div class="layui-input-block">
                                    <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.workContractInfo.name}"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw6">
                                <label class="layui-form-label double-line">合同金额(元)：</label>
                                <div class="layui-input-block">
                                    <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="<fmt:formatNumber value="${projectRecordsAlter.workContractInfo.contractPrice}" pattern="#,##0.00#"/>"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw6">
                                <label class="layui-form-label">主委托方：</label>
                                <div class="layui-input-block">
                                    <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.workContractInfo.client.name}"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw6">
                                <label class="layui-form-label">工程分类：</label>
                                <div class="layui-input-block">
                                    <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.workContractInfo.constructionProjectTypeStr}"/>
                                </div>
                            </div>
                        </div>

                        <div class="form-group layui-row">
                            <div class="form-group-label"><h2>项目基础信息</h2></div>
                            <div class="layui-item layui-col-sm6 lw6">
                                <label class="layui-form-label">项目名称：</label>
                                <div class="layui-input-block">
                                    <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.projectName}"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw6">
                                <label class="layui-form-label">项目编号：</label>
                                <div class="layui-input-block">
                                    <div class="input-group">
                                        <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.projectId}"/>
                                        <span class="input-group-btn">
                                            <label class="form-status"><c:choose><c:when test="${not empty projectRecordsAlter.projectStatus}">${fns:getDictLabel(projectRecordsAlter.projectStatus, 'audit_state', '')}</c:when><c:otherwise>新添</c:otherwise></c:choose></label>
                                         </span>
                                    </div>
                                </div>
                            </div>
                            <%--<div class="layui-item layui-col-sm6 lw6">--%>
                                <%--<label class="layui-form-label">规模类型：</label>--%>
                                <%--<div class="layui-input-block">--%>
                                    <%--<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.scaleType}"/>--%>
                                <%--</div>--%>
                            <%--</div>--%>
                            <%--<div class="layui-item layui-col-sm6 lw6">--%>
                                <%--<label class="layui-form-label">规模单位：</label>--%>
                                <%--<div class="layui-input-block">--%>
                                    <%--<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.scaleUnit}"/>--%>
                                <%--</div>--%>
                            <%--</div>--%>
                            <%--<div class="layui-item layui-col-sm6 lw6">--%>
                                <%--<label class="layui-form-label">规模数量：</label>--%>
                                <%--<div class="layui-input-block">--%>
                                    <%--<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.scaleQuantity}"/>--%>
                                <%--</div>--%>
                            <%--</div>--%>
                            <div class="layui-item layui-col-sm6 lw6">
                                <label class="layui-form-label">项目所在地：</label>
                                <div class="layui-input-block">
                                    <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.area.name}"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label">所在省份：</label>
                                <div class="layui-input-block">
                                    <form:input path="province" htmlEscape="false" id="province" class="form-control layui-input" readonly="true"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label">所在地级市：</label>
                                <div class="layui-input-block">
                                    <form:input path="city" htmlEscape="false" id="city" class="form-control layui-input" readonly="true"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label">所在区县：</label>
                                <div class="layui-input-block">
                                    <form:input path="county" htmlEscape="false" id="areaName1" class="form-control layui-input" readonly="true"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw6">
                                <label class="layui-form-label">建设地点：</label>
                                <div class="layui-input-block">
                                    <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.projectSite}"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw6">
                                <label class="layui-form-label">项目负责人：</label>
                                <div class="layui-input-block">
                                    <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.leaderNameStr}"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw6">
                                <label class="layui-form-label">变更人：</label>
                                <div class="layui-input-block">
                                    <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.createBy.name}"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw6">
                                <label class="layui-form-label">变更日期：</label>
                                <div class="layui-input-block">
                                    <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="<fmt:formatDate value="${projectRecordsAlter.createDate}" pattern="yyyy-MM-dd"/>"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label">工程结构：</label>
                                <div class="layui-input-block">
                                    <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecords.projectStructure}"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label">地上层数：</label>
                                <div class="layui-input-block">
                                    <form:input path="onGroundNum" htmlEscape="false"  class="form-control layui-input number" readonly="true"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label">底下层数：</label>
                                <div class="layui-input-block">
                                    <form:input path="underGroundNum" htmlEscape="false"  class="form-control layui-input number" readonly="true"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label double-line"><span class="require-item">*</span>建筑面积或规模：</label>
                                <div class="layui-input-block">
                                    <form:input path="buildingScale" htmlEscape="false"  class="form-control layui-input required number" readonly="true"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label">计量单位：</label>
                                <div class="layui-input-block">
                                    <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecords.measuringUnit}"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label">工程用途：</label>
                                <div class="layui-input-block">
                                    <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecords.projectUse}"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label double-line"><span class="require-item">*</span>咨询标的额(万元)：</label>
                                <div class="layui-input-block">
                                    <form:input path="totalFees" htmlEscape="false" id="totalFees" class="form-control layui-input required number"  readonly="true"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label double-line">其中土建造价(万元)：</label>
                                <div class="layui-input-block">
                                    <form:input path="buildingFees" htmlEscape="false" id="buildingFees" class="form-control layui-input" readonly="true"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label double-line">其中安装造价(万元)：</label>
                                <div class="layui-input-block">
                                    <form:input path="installFees" htmlEscape="false" id="installFees" class="form-control layui-input" readonly="true"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label double-line">其中土建百分比(%)：</label>
                                <div class="layui-input-block">
                                    <form:input path="buildingPercent" htmlEscape="false" id="buildingPercent" class="form-control layui-input" readonly="true"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label double-line">其中安装百分比(%)：</label>
                                <div class="layui-input-block">
                                    <form:input path="installPercent" htmlEscape="false" id="installPercent" class="form-control layui-input" readonly="true"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label">单位造价(元)：</label>
                                <div class="layui-input-block">
                                    <form:input path="unitFees" htmlEscape="false" id="unitFees" class="form-control layui-input" readonly="true"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label double-line">土建单位造价(元)：</label>
                                <div class="layui-input-block">
                                    <form:input path="buildingUnitFees" htmlEscape="false" id="buildingUnitFees" class="form-control layui-input" readonly="true"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label double-line">安装单位造价(元)：</label>
                                <div class="layui-input-block">
                                    <form:input path="installUnitFees" htmlEscape="false" id="installUnitFees" class="form-control layui-input" readonly="true"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw6 with-textarea">
                                <label class="layui-form-label">工程概况：</label>
                                <div class="layui-input-block">
                                    <textarea htmlEscape="false" rows="4" readonly="true" maxlength="1000" class="form-control" >${projectRecordsAlter.projectDesc}</textarea>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw6 with-textarea">
                                <label class="layui-form-label">特殊要求：</label>
                                <div class="layui-input-block">
                                    <textarea htmlEscape="false" rows="4" readonly="true" maxlength="1000" class="form-control" >${projectRecordsAlter.remarks}</textarea>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm12 lw6 with-textarea">
                                <label class="layui-form-label">变更原因：</label>
                                <div class="layui-input-block">
                                    <textarea htmlEscape="false" rows="4" readonly="true" maxlength="1000" class="form-control" >${projectRecordsAlter.alterReason}</textarea>
                                </div>
                            </div>
                        </div>

                        <div class="form-group layui-row">
                            <div class="form-group-label"><h2>委托方联系人信息</h2></div>
                            <div class="layui-item layui-col-xs12 form-table-container" >
                                <table id="contentTable" class="table table-bordered table-condensed no-bottom-margin details">
                                    <thead>
                                    <tr>
                                        <th class="hide"></th>
                                        <th width="25%">委托方</th>
                                        <th width="25%">联系人姓名</th>
                                        <th width="25%">联系方式1</th>
                                        <th width="25%">联系方式2</th>
                                    </tr>
                                    </thead>
                                    <tbody id="workClientLinkmanList">
                                    </tbody>
                                </table>
                                <script type="text/template" id="workClientLinkmanTpl">//<!--
					                <tr id="workClientLinkmanList{{idx}}">
                                        <td class="hide">
                                            <input id="workClientLinkmanList{{idx}}_id" name="workClientLinkmanList[{{idx}}].id" type="hidden" value="{{row.id}}"/>
                                            <input id="workClientLinkmanList{{idx}}_delFlag" name="workClientLinkmanList[{{idx}}].delFlag" type="hidden" value="0"/>
                                        </td>
                                        <td>
                                            {{row.clientId.name}}
                                        </td>
                                        <td>
                                            {{row.name}}
                                        </td>
                                        <td>
                                            {{row.linkPhone}}
                                        </td>
                                        <td>
                                            {{row.linkMobile}}
                                        </td>
                                    </tr>//-->
                                </script>
                            </div>
                        </div>

                        <div class="form-group layui-row">
                            <div class="form-group-label"><h2>施工方信息</h2></div>
                            <div class="layui-item layui-col-xs12 form-table-container" >
                                <table id="contentTable2" class="table table-bordered table-condensed no-bottom-margin details">
                                    <thead>
                                    <tr>
                                        <th class="hide"></th>
                                        <th width="25%">施工方单位名称</th>
                                        <th width="25%">联系人姓名</th>
                                        <th width="25%">联系方式1</th>
                                        <th width="25%">联系方式2</th>
                                    </tr>
                                    </thead>
                                    <tbody id="workConstructionLinkmanList">
                                    </tbody>
                                </table>
                                <script type="text/template" id="workConstructionLinkmanTpl">//<!--
					<tr id="workConstructionLinkmanList{{idx}}">
					<td class="hide">
						<input id="workConstructionLinkmanList{{idx}}_id" name="workConstructionLinkmanList[{{idx}}].id" type="hidden" value="{{row.id}}"/>
						<input id="workConstructionLinkmanList{{idx}}_delFlag" name="workConstructionLinkmanList[{{idx}}].delFlag" type="hidden" value="0"/>
					</td>
					<td>
						{{row.clientId.name}}
					</td>
					<td>
						{{row.name }}
					</td>
					<td>
						{{row.linkPhone}}
					</td>
					<td>
						{{row.linkMobile}}
					</td>
				</tr>//-->
                                </script>
                            </div>
                        </div>


                        <script>
                            var workClientLinkmanRowIdx = 0, workClientLinkmanTpl = $("#workClientLinkmanTpl").html().replace(/(\/\/\<!\-\-)|(\/\/\-\->)/g,"");
                            var workConstructionLinkmanRowIdx = 0, workConstructionLinkmanTpl = $("#workConstructionLinkmanTpl").html().replace(/(\/\/\<!\-\-)|(\/\/\-\->)/g,"");
                            $(document).ready(function() {
                                var data = ${fns:toJson(projectRecordsAlter.workClientLinkmanList)};
                                for (var i=0; i<data.length; i++){
                                    addRow('#workClientLinkmanList', workClientLinkmanRowIdx, workClientLinkmanTpl, data[i]);
                                    workClientLinkmanRowIdx = workClientLinkmanRowIdx + 1;
                                }
                                var dataBank = ${fns:toJson(projectRecordsAlter.workConstructionLinkmanList)};
                                for (var i=0; i<dataBank.length; i++){
                                    addRow('#workConstructionLinkmanList', workConstructionLinkmanRowIdx, workConstructionLinkmanTpl, dataBank[i]);
                                    workConstructionLinkmanRowIdx = workConstructionLinkmanRowIdx + 1;
                                }
                            });

                        </script>


                            <div class="form-group layui-row">
                                <div class="form-group-label"><h2>项目计划附件信息</h2></div>
                                <div class="layui-item layui-col-xs12 form-table-container" >
                                    <table id="listAttachment" class="table table-bordered table-condensed no-bottom-margin details">
                                        <thead>
                                        <tr>
                                            <th width="25%">文件</th>
                                            <th width="25%">上传人</th>
                                            <th width="25%">上传时间</th>
                                            <th width="25%">操作</th>
                                        </tr>
                                        </thead>
                                        <tbody id="file_attachment">
                                        <c:forEach items="${projectRecordsAlter.workAttachments}" var="workClientAttachment" varStatus="status">
                                            <tr>
                                                    <%--<td>${status.index + 1}</td>--%>
                                                <c:choose>
                                                    <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
															   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
															   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
															   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
															   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
                                                        <td><img src="${workClientAttachment.url}" width="50" height="50" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')" alt="${workClientAttachment.attachmentName}">
                                                    </c:when>
                                                    <c:otherwise>
                                                        <c:choose>
                                                            <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
                                                                <td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','95%','95%','1')">${workClientAttachment.attachmentName}</a></td>
                                                            </c:when>
                                                            <c:otherwise>
                                                                <td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','95%','95%')">${workClientAttachment.attachmentName}</a></td>
                                                            </c:otherwise>
                                                        </c:choose>
                                                    </c:otherwise>
                                                </c:choose>
                                                <td>${workClientAttachment.createBy.name}</td>
                                                <td><fmt:formatDate value="${workClientAttachment.createDate}" pattern="yyyy-MM-dd"/></td>
                                                <td  class="op-td">
                                                    <a href="javascript:location.href='${ctx}/workcontractinfo/workContractInfo/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
                                                </td>
                                            </tr>
                                        </c:forEach>
                                        <c:forEach items="${projectRecordsAlter.alterBeforeRecords.workAttachments}" var="workClientAttachment" varStatus="status">
                                            <tr class="trIdAdds">
                                                    <%--<td>${status.index + 1}</td>--%>
                                                <c:choose>
                                                    <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
															   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
															   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
															   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
															   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
                                                        <td><img src="${workClientAttachment.url}" width="50" height="50" alt="${workClientAttachment.attachmentName}"/></td>
                                                    </c:when>
                                                    <c:otherwise>
                                                        <c:choose>
                                                            <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
                                                                <td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','80%','80%','1')">${workClientAttachment.attachmentName}</a></td>
                                                            </c:when>
                                                            <c:otherwise>
                                                                <td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','80%','80%')">${workClientAttachment.attachmentName}</a></td>
                                                            </c:otherwise>
                                                        </c:choose>
                                                    </c:otherwise>
                                                </c:choose>
                                                <td>${workClientAttachment.createBy.name}</td>
                                                <td><fmt:formatDate value="${workClientAttachment.createDate}" pattern="yyyy-MM-dd"/></td>
                                                <td  class="op-td">
                                                    <a href="javascript:location.href='${ctx}/workfullmanage/workFullManage/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
                                                </td>
                                            </tr>
                                        </c:forEach>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                    </div>



                <div id="tab-22" class="tab-pane">

                    <div class="form-group layui-row first">
                        <div class="form-group-label"><h2>项目合同信息</h2></div>
                        <div class="layui-item layui-col-sm12 lw6">
                            <label class="layui-form-label">合同编号：</label>
                            <div class="layui-input-block">
                                <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.alterBeforeRecords.workContractInfo.contractNum}"/>
                            </div>
                        </div>
                        <div class="layui-item layui-col-sm6 lw6">
                            <label class="layui-form-label">合同名称：</label>
                            <div class="layui-input-block">
                                <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.alterBeforeRecords.workContractInfo.name}"/>
                            </div>
                        </div>
                        <div class="layui-item layui-col-sm6 lw6">
                            <label class="layui-form-label double-line">合同金额(元)：</label>
                            <div class="layui-input-block">
                                <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="<fmt:formatNumber value="${projectRecordsAlter.alterBeforeRecords.workContractInfo.contractPrice}" pattern="#,##0.00#"/>"/>
                            </div>
                        </div>
                        <div class="layui-item layui-col-sm6 lw6">
                            <label class="layui-form-label">主委托方：</label>
                            <div class="layui-input-block">
                                <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.alterBeforeRecords.workContractInfo.client.name}"/>
                            </div>
                        </div>
                        <div class="layui-item layui-col-sm6 lw6">
                            <label class="layui-form-label">工程分类：</label>
                            <div class="layui-input-block">
                                <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.alterBeforeRecords.workContractInfo.constructionProjectTypeStr}"/>
                            </div>
                        </div>
                    </div>

                    <div class="form-group layui-row">
                        <div class="form-group-label"><h2>项目基础信息</h2></div>
                        <div class="layui-item layui-col-sm6 lw6">
                            <label class="layui-form-label">项目编号：</label>
                            <div class="layui-input-block">
                                <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.alterBeforeRecords.projectId}"/>
                            </div>
                        </div>
                        <div class="layui-item layui-col-sm6 lw6">
                            <label class="layui-form-label">项目名称：</label>
                            <div class="layui-input-block">
                                <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.alterBeforeRecords.projectName}"/>
                            </div>
                        </div>
                        <div class="layui-item layui-col-sm6 lw6">
                            <label class="layui-form-label">规模类型：</label>
                            <div class="layui-input-block">
                                <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.alterBeforeRecords.scaleType}"/>
                            </div>
                        </div>
                        <div class="layui-item layui-col-sm6 lw6">
                            <label class="layui-form-label">规模单位：</label>
                            <div class="layui-input-block">
                                <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.alterBeforeRecords.scaleUnit}"/>
                            </div>
                        </div>
                        <div class="layui-item layui-col-sm6 lw6">
                            <label class="layui-form-label">规模数量：</label>
                            <div class="layui-input-block">
                                <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.alterBeforeRecords.scaleQuantity}"/>
                            </div>
                        </div>
                        <div class="layui-item layui-col-sm6 lw6">
                            <label class="layui-form-label">项目所在地：</label>
                            <div class="layui-input-block">
                                <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.alterBeforeRecords.area.name}"/>
                            </div>
                        </div>
                        <div class="layui-item layui-col-sm6 lw6">
                            <label class="layui-form-label">建设地点：</label>
                            <div class="layui-input-block">
                                <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.alterBeforeRecords.projectSite}"/>
                            </div>
                        </div>
                        <div class="layui-item layui-col-sm6 lw6">
                            <label class="layui-form-label">项目负责人：</label>
                            <div class="layui-input-block">
                                <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.alterBeforeRecords.leaderNameStr}"/>
                            </div>
                        </div>
                        <div class="layui-item layui-col-sm6 lw6">
                            <label class="layui-form-label">创建人：</label>
                            <div class="layui-input-block">
                                <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecordsAlter.alterBeforeRecords.createBy.name}"/>
                            </div>
                        </div>
                        <div class="layui-item layui-col-sm6 lw6">
                            <label class="layui-form-label">创建日期：</label>
                            <div class="layui-input-block">
                                <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="<fmt:formatDate value="${projectRecordsAlter.alterBeforeRecords.createDate}" pattern="yyyy-MM-dd"/>"/>
                            </div>
                        </div>
                        <div class="layui-item layui-col-sm6 lw6 with-textarea">
                            <label class="layui-form-label">工程概况：</label>
                            <div class="layui-input-block">
                                <textarea htmlEscape="false" rows="4" readonly="true" maxlength="1000" class="form-control" >${projectRecordsAlter.alterBeforeRecords.projectDesc}</textarea>
                            </div>
                        </div>
                        <div class="layui-item layui-col-sm6 lw6 with-textarea">
                            <label class="layui-form-label">特殊要求：</label>
                            <div class="layui-input-block">
                                <textarea htmlEscape="false" rows="4" readonly="true" maxlength="1000" class="form-control" >${projectRecordsAlter.alterBeforeRecords.remarks}</textarea>
                            </div>
                        </div>
                    </div>

                    <div class="form-group layui-row">
                        <div class="form-group-label"><h2>委托方联系人信息</h2></div>
                        <div class="layui-item layui-col-xs12 form-table-container" >
                            <table id="contentTable3" class="table table-bordered table-condensed no-bottom-margin details">
                                <thead>
                                <tr>
                                    <th class="hide"></th>
                                    <th width="25%">委托方</th>
                                    <th width="25%">联系人姓名</th>
                                    <th width="25%">联系方式1</th>
                                    <th width="25%">联系方式2</th>
                                </tr>
                                </thead>
                                <tbody id="oldworkClientLinkmanList1">
                                </tbody>
                            </table>
                            <script type="text/template" id="workClientLinkmanTpl1">//<!--
					<tr id="workClientLinkmanList{{idx}}">
					<td class="hide">
						<input id="workClientLinkmanList{{idx}}_id" name="workClientLinkmanList[{{idx}}].id" type="hidden" value="{{row.id}}"/>
						<input id="workClientLinkmanList{{idx}}_delFlag" name="workClientLinkmanList[{{idx}}].delFlag" type="hidden" value="0"/>
					</td>
					<td>
						{{row.clientId.name}}
					</td>
					<td>
						{{row.name}}
					</td>
					<td>
						{{row.linkPhone}}
					</td>
					<td>
						{{row.linkMobile}}
					</td>
				</tr>//-->
                            </script>
                        </div>
                    </div>


                    <div class="form-group layui-row">
                        <div class="form-group-label"><h2>施工方信息</h2></div>
                        <div class="layui-item layui-col-xs12 form-table-container" >
                            <table id="contentTable4" class="table table-bordered table-condensed no-bottom-margin details">
                                <thead>
                                <tr>
                                    <th class="hide"></th>
                                    <th width="25%">施工方单位名称</th>
                                    <th width="25%">联系人姓名</th>
                                    <th width="25%">联系方式1</th>
                                    <th width="25%">联系方式2</th>
                                </tr>
                                </thead>
                                <tbody id="oldworkConstructionLinkmanList1">
                                </tbody>
                            </table>
                            <script type="text/template" id="workConstructionLinkmanTpl1">//<!--
					<tr id="workConstructionLinkmanList{{idx}}">
					<td class="hide">
						<input id="workConstructionLinkmanList{{idx}}_id" name="workConstructionLinkmanList[{{idx}}].id" type="hidden" value="{{row.id}}"/>
						<input id="workConstructionLinkmanList{{idx}}_delFlag" name="workConstructionLinkmanList[{{idx}}].delFlag" type="hidden" value="0"/>
					</td>
					<td>
						{{row.clientId.name}}
					</td>
					<td>
						{{row.name }}
					</td>
					<td>
						{{row.linkPhone}}
					</td>
					<td>
						{{row.linkMobile}}
					</td>
				</tr>//-->
                            </script>
                        </div>
                    </div>

                    <script>
                        var workClientLinkmanRow1Idx = 0, workClientLinkmanTpl1 = $("#workClientLinkmanTpl1").html().replace(/(\/\/\<!\-\-)|(\/\/\-\->)/g,"");
                        var workConstructionLinkmanRow1Idx = 0, workConstructionLinkmanTpl1 = $("#workConstructionLinkmanTpl1").html().replace(/(\/\/\<!\-\-)|(\/\/\-\->)/g,"");
                        $(document).ready(function() {
                            var data = ${fns:toJson(projectRecordsAlter.alterBeforeRecords.workClientLinkmanList)};
                            for (var i=0; i<data.length; i++){
                                addRow('#oldworkClientLinkmanList1', workClientLinkmanRow1Idx, workClientLinkmanTpl1, data[i]);
                                workClientLinkmanRow1Idx = workClientLinkmanRow1Idx + 1;
                            }
                            var dataBank = ${fns:toJson(projectRecordsAlter.alterBeforeRecords.workConstructionLinkmanList)};
                            for (var i=0; i<dataBank.length; i++){
                                addRow('#oldworkConstructionLinkmanList1', workConstructionLinkmanRow1Idx, workConstructionLinkmanTpl1, dataBank[i]);
                                workConstructionLinkmanRow1Idx = workConstructionLinkmanRow1Idx + 1;
                            }
                        });

                    </script>


                        <div class="form-group layui-row">
                            <div class="form-group-label"><h2>项目计划附件信息</h2></div>
                            <div class="layui-item layui-col-xs12 form-table-container" >
                                <table id="listAttachment1" class="table table-bordered table-condensed no-bottom-margin details">
                                    <thead>
                                    <tr>
                                        <th width="25%">文件</th>
                                        <th width="25%">上传人</th>
                                        <th width="25%">上传时间</th>
                                        <th width="150px">操作</th>
                                    </tr>
                                    </thead>
                                    <tbody id="file_attachment1">
                                    <c:forEach items="${projectRecordsAlter.alterBeforeRecords.workAttachments}" var="workClientAttachment" varStatus="status">
                                        <tr>
                                                <%--<td>${status.index + 1}</td>--%>
                                            <c:choose>
                                                <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
															   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
															   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
															   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
															   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
                                                    <td><img src="${workClientAttachment.url}" width="50" height="50" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')" alt="${workClientAttachment.attachmentName}">
                                                </c:when>
                                                <c:otherwise>
                                                    <c:choose>
                                                        <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
                                                            <td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','95%','95%','1')">${workClientAttachment.attachmentName}</a></td>
                                                        </c:when>
                                                        <c:otherwise>
                                                            <td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','95%','95%')">${workClientAttachment.attachmentName}</a></td>
                                                        </c:otherwise>
                                                    </c:choose>
                                                </c:otherwise>
                                            </c:choose>
                                            <td>${workClientAttachment.createBy.name}</td>
                                            <td><fmt:formatDate value="${workClientAttachment.createDate}" pattern="yyyy-MM-dd"/></td>
                                            <td  class="op-td">
                                                <a href="javascript:location.href='${ctx}/workcontractinfo/workContractInfo/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
                                            </td>
                                        </tr>
                                    </c:forEach>
                                    </tbody>
                                </table>
                            </div>
                        </div>



                </div>
                    <div class="form-group layui-row">
                        <div class="form-group-label"><h2>项目组成员列表</h2></div>
                        <div class="layui-item layui-col-xs12 form-table-container" >
                            <table id="usersListTable" class="table table-bordered table-condensed no-bottom-margin details">
                                <thead>
                                <tr>
                                    <th width="25%">姓名</th>
                                    <th width="25%">部门</th>
                                    <th width="25%">职级</th>
                                    <th width="25%">状态</th>
                                </tr>
                                </thead>
                                <tbody id="usersList">
                                <c:if test="${not empty projectRecordsAlter.alterBeforeRecords.projectMembers}">
                                    <c:forEach items="${projectRecordsAlter.alterBeforeRecords.projectMembers}" var="user">
                                        <tr id="${user.id}">
                                            <td>
                                                    ${user.name}
                                            </td>
                                            <td>
                                                    ${user.office.name}
                                            </td>
                                            <td>

                                            </td>
                                            <td>
                                                <c:choose>
                                                    <c:when test="${user.delFlag == 0}">
                                                        正常
                                                    </c:when>
                                                    <c:otherwise>
                                                        移除
                                                    </c:otherwise>
                                                </c:choose>
                                            </td>
                                        </tr>
                                    </c:forEach>
                                </c:if>
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <div class="form-group layui-row page-end"></div>
                </div>
            </div>


	    </form:form>
    </div>
</div>
</body>
</html>