<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
        $(document).ready(function() {



            $('#contentTable thead tr th input.i-checks').on('ifChecked', function(event){ //ifCreated 事件应该在插件初始化之前绑定
                $('#contentTable tbody tr td input.i-checks').iCheck('check');
            });

            $('#contentTable thead tr th input.i-checks').on('ifUnchecked', function(event){ //ifCreated 事件应该在插件初始化之前绑定
                $('#contentTable tbody tr td input.i-checks').iCheck('uncheck');
            });


        });

        function getSelectedItem(){

            var size = $("#contentTable tbody tr td input.i-checks:checked").size();
            if(size == 0 ){
                top.layer.alert('请至少选择一条数据!', {icon: 0, title:'警告'});
                return "-1";
            }

            if(size > 1 ){
                top.layer.alert('只能选择一条数据!', {icon: 0, title:'警告'});
                return "-1";
            }
            var id =  $("#contentTable tbody tr td input.i-checks:checkbox:checked").attr("id");

            var label = $("#contentTable tbody tr td input.i-checks:checkbox:checked").parent().parent().parent().find(".codelabel").html();
            var label1 = $("#contentTable tbody tr td input.i-checks:checkbox:checked").parent().parent().parent().find(".codelabel1").html();
            var label2 = $("#contentTable tbody tr td input.i-checks:checkbox:checked").parent().parent().parent().find(".codelabel2").html();
            var label3 = $("#contentTable tbody tr td input.i-checks:checkbox:checked").parent().parent().parent().find(".codelabel3").html();
            return {'id':id,'number':label,'invoiceDate':label1,'invoiceAmt':label2,'incomeMoney':label3};
        }
        function page(n,s){
            if(n) $("#pageNo").val(n);
            if(s) $("#pageSize").val(s);
            $("#searchForm").attr("action","${url}");
            $("#searchForm").submit();
            return false;
        }
	</script>
</head>
<body>
<div class="wrapper wrapper-content">
    <div class="layui-row">
        <div class="full-width fl">
            <div class="layui-row" id="queryDiv">
				<form:form id="searchForm" modelAttribute="obj" action="${url}" method="post" class="form-inline">
					<input type="hidden" name="url" value="${url}"/>
					<input type="hidden" name="fieldLabels" value="${fieldLabels}"/>
					<input type="hidden" name="fieldKeys" value="${fieldKeys}"/>
					<input type="hidden" name="searchLabel" value="${searchLabel}"/>
					<input type="hidden" name="searchKey" value="${searchKey}"/>
					<input type="hidden" name="isTotal" value="${isTotal}"/>
					<input type="hidden" name="type" value="${type}"/>
					<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
					<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
					<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
                    <div class="commonQuery">
                        <div class="layui-item query athird lw9">
                            <span class="layui-form-label">发票编号：</span>
                            <div class="layui-input-block">
                                <form:input path="number" htmlEscape="false" maxlength="50" class=" form-control input-sm"/>
                            </div>
                        </div>
						<%--<span>开票日期：</span>
						<form:input path="${searchKey}" htmlEscape="false" maxlength="50" class=" form-control input-sm"/>
						<span style="margin-top: 15px">客户名称： </span><div class="form-group shows">
						<sys:gridselectcallproject url="${ctx}/workcontractinfo/workContractInfo/selectclient" id="client" name="client"  value="${workContractInfo.client.id}"  title="选择客户ID" labelName="client.name"
												   labelValue="${workContractInfo.client.name}"  cssClass="form-control required" fieldLabels="客户名称" fieldKeys="name" searchLabel="客户名称" searchKey="name" ></sys:gridselectcallproject>--%>
                        <div class="layui-item athird fr">
                            <div class="input-group">
                                <button id="searchReset" class="fixed-btn searchReset fr" style="margin-right: 0px;" onclick="resetSearch()">重置</button>
                                <button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
                            </div>
                        </div>
                        <div style="    clear:both;"></div>
                    </div>
				</form:form>
				<br/>
			</div>
		</div>

        <div class="full-width fl">
            <div class="layui-item layui-col-xs12 form-table-container">
                <table id="contentTable" class="table details table-bordered table-condensed">
			<thead>
			<tr>
				<th width="50"></th>
				<%--<c:forEach items="${labelNames}" var="name"  varStatus="status">
					<th>${name}</th>
				</c:forEach>--%>
				<th>发票编号</th>
				<th>发票金额</th>
				<th>累计登记金额</th>
				<th>开票日期</th>
			</tr>
			</thead>
			<tbody>
			<c:choose>
				<c:when test="${not empty page.list}">
					<c:forEach items="${page.list}" var="obj">
						<tr>
							<td> <input type="checkbox" id="${fns:getValue(obj, 'id')}" class="i-checks"></td>
							<td class="codelabel">${obj.number}</td>
							<td class="codelabel2">${obj.totalMoney}</td>
							<td class="codelabel3">${obj.incomeMoney}</td>
							<td class="codelabel1"><fmt:formatDate value="${obj.date}" pattern="yyyy-MM-dd"/></td>
						</tr>
					</c:forEach>
				</c:when>
				<c:otherwise>
					<tr>
						<td colspan="5" align="center">
							暂无数据
						</td>
					</tr>
				</c:otherwise>
			</c:choose>

			</tbody>
		</table>
                <table:page page="${page}"></table:page>
            </div>
        </div>
        <div class="form-group layui-row page-end"></div>
    </div>
</div>
</body>
</html>