<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>招标项目信息管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>招标项目信息列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workBidingProject" action="${ctx}/workbidingprojectrd/workBidingProjectrd/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<div class="form-group">
			<%--<span>客户信息Id：</span>
				<sys:gridselect url="${ctx}/workbidingproject/workBidingProject/selectclientId" id="client.id" name="client.id"  value="${workBidingProject.client.id}"  title="选择客户信息Id" labelName="client.id"
					labelValue="${workBidingProject.client.id}" cssClass="form-control required" fieldLabels="" fieldKeys="" searchLabel="" searchKey="" ></sys:gridselect>
			--%>
			<%--<span>合同外键：</span>
				<sys:gridselect url="${ctx}/workbidingproject/workBidingProject/selectcontractId" id="contract.id" name="contract.id"  value="${workBidingProject.contract.id}"  title="选择合同外键" labelName="contract.id"
					labelValue="${workBidingProject.contract.id}" cssClass="form-control required" fieldLabels="" fieldKeys="" searchLabel="" searchKey="" ></sys:gridselect>
			--%>
			<span>项目编号：</span>
				<form:input path="projectNumber" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
			<span>&nbsp;&nbsp;项目名称：</span>
				<form:input path="projectName" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
			<%--<span>&nbsp;&nbsp;招标方式：</span>
				<form:select path="biddingType"  class="form-control m-b">
					<form:option value="" label=""/>
					<form:options items="${fns:getMainDictList('bidding_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
				</form:select>
				<br/><br/>--%>
			<span style="margin-top: 15px">客户名称： </span>
				<div class="form-group shows">
					<sys:gridselectcallproject url="${ctx}/workcontractinfo/workContractInfo/selectclient" id="client" name="client"  value="${workContractInfo.client.id}"  title="选择客户ID" labelName="client.name"
									labelValue="${workContractInfo.client.name}"  cssClass="form-control required" fieldLabels="客户名称" fieldKeys="name" searchLabel="客户名称" searchKey="name" ></sys:gridselectcallproject>
				</div>
			<%--<span style="margin-top: 15px">&nbsp;&nbsp;合同名称： </span>
				<div class="form-group shows">
					<sys:gridselectContract url="${ctx}/workengineeringproject/workEngineeringProject/selectcontractId" id="contractId" name="contractId.id" type="1,2" value="${workEngineeringProject.contractId.id}"  title="选择合同名称" labelName="contractId.name"
									labelValue="${workEngineeringProject.contractId.name}" cssClass="form-control required" fieldLabels="合同信息" fieldKeys="name" searchLabel="合同名称" searchKey="name" ></sys:gridselectContract>
				</div>--%>
		</div>
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th> <input type="checkbox" class="i-checks"></th>
				<th  class="sort-column createDate">登记日期</th>
				<th  class="sort-column client.id">客户名称</th>
				<th  class="sort-column projectNumber">项目编号</th>
				<th  class="sort-column projectName">项目名称</th>
				<th  class="sort-column status">归档状态</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="workBidingProject">
			<c:choose>
			<c:when test="${not empty page.list}">
				<tr>
					<td> <input type="checkbox" id="${workBidingProject.id}" class="i-checks"></td>
					<td>
						<fmt:formatDate value="${workBidingProject.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
					</td>
					<td>
						<a  href="javascript:void(0)" onclick="openDialogView('查看客户管理', '${ctx}/workclientinfo/workClientInfo/detail?id=${workBidingProject.client.id}','80%', '80%')">
							<span title="${workEngineeringProject.workClientInfo.name}">${fns:abbr(workBidingProject.client.name,30)}</span>
						</a>
					</td>
					<td>
						<%--<a  href="javascript:void(0)" onclick="openDialogView('查看项目归档信息', '${ctx}/workaftermath/workAftermath/startposs?id=${workBidingProject.id}&name=view','80%','80%')">
								${workBidingProject.projectNumber}
						</a>--%>
							${workBidingProject.projectNumber}
					</td>
					<td>
						<a  href="javascript:void(0)" onclick="openDialogView('查看招标项目信息', '${ctx}/workbidingproject/workBidingProject/form?id=${workBidingProject.id}&name=view','80%','80%')">
							${workBidingProject.projectName}
						</a>

					</td>
					<td>
						<%--${fns:getDictLabel(workBidingProject.status, 'status', '')}--%>
							<c:choose>
								<c:when test="${workBidingProject.status eq 3}">
									已归档
								</c:when>
								<c:otherwise>
									未归档
								</c:otherwise>
							</c:choose>
					</td>
					<td>

						<c:choose>
							<c:when test="${workBidingProject.status eq 3}">

								<a href="" class="btn btn-default btn-xs disabled">项目归档</a>
							</c:when>
							<c:otherwise>
								<%--<a href="${ctx}/workaftermath/workAftermath/startposs?id=${workBidingProject.id}" onclick="return confirmx('确认要归档吗？', this.href)"   class="btn btn-info btn-xs"><i class="fa fa-trash"></i>项目归档</a>--%>
								<a href="javascript:void(0)" onclick="openDialog('项目归档', '${ctx}/workaftermath/workAftermath/startposs?id=${workBidingProject.id}','80%', '80%')" class="btn btn-info btn-xs" > 项目归档</a>
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
			</c:when>
				<c:otherwise>
					<tr>
						<td colspan="15" align="center">
							暂无数据
						</td>
					</tr>
				</c:otherwise>
			</c:choose>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>